module GLX_EXT_import_context
  module Constants
    SHARE_CONTEXT_EXT = 0x800A
    VISUAL_ID_EXT     = 0x800B
    SCREEN_EXT        = 0x800C
  end
  
  Functions = {
    def glXGetCurrentDisplayEXT() end => [ :pointer ].freeze,
    def glXQueryContextInfoEXT(dpy, context, attribute, value) end => [ :int, :pointer, :GLXContext, :int, :pointer ].freeze,
    def glXGetContextIDEXT(context) end => [ :GLXContextID, :GLXContext ].freeze,
    def glXImportContextEXT(dpy, contextID) end => [ :GLXContext, :pointer, :GLXContextID ].freeze,
    def glXFreeContextEXT(dpy, context) end => [ :void, :pointer, :GLXContext ].freeze,
  }.freeze
end