module GL_AMD_framebuffer_sample_positions
  module Constants
    SUBSAMPLE_DISTANCE_AMD          = 0x883F
    PIXELS_PER_SAMPLE_PATTERN_X_AMD = 0x91AE
    PIXELS_PER_SAMPLE_PATTERN_Y_AMD = 0x91AF
    ALL_PIXELS_AMD                  = 0xFFFFFFFF
  end
  
  Functions = {
    def glFramebufferSamplePositionsfvAMD(target, numsamples, pixelindex, values) end => [ :void, :GLenum, :GLuint, :GLuint, :pointer ].freeze,
    def glNamedFramebufferSamplePositionsfvAMD(framebuffer, numsamples, pixelindex, values) end => [ :void, :GLuint, :GLuint, :GLuint, :pointer ].freeze,
    def glGetFramebufferParameterfvAMD(target, pname, numsamples, pixelindex, size, values) end => [ :void, :GLenum, :GLenum, :GLuint, :GLuint, :GLsizei, :pointer ].freeze,
    def glGetNamedFramebufferParameterfvAMD(framebuffer, pname, numsamples, pixelindex, size, values) end => [ :void, :GLuint, :GLenum, :GLuint, :GLuint, :GLsizei, :pointer ].freeze,
  }.freeze
end