module GL_AMD_name_gen_delete
  module Constants
    DATA_BUFFER_AMD         = 0x9151
    PERFORMANCE_MONITOR_AMD = 0x9152
    QUERY_OBJECT_AMD        = 0x9153
    VERTEX_ARRAY_OBJECT_AMD = 0x9154
    SAMPLER_OBJECT_AMD      = 0x9155
  end
  
  Functions = {
    def glGenNamesAMD(identifier, num, names) end => [ :void, :GLenum, :GLuint, :pointer ].freeze,
    def glDeleteNamesAMD(identifier, num, names) end => [ :void, :GLenum, :GLuint, :pointer ].freeze,
    def glIsNameAMD(identifier, name) end => [ :GLboolean, :GLenum, :GLuint ].freeze,
  }.freeze
end