module GL_APPLE_fence
  module Constants
    DRAW_PIXELS_APPLE = 0x8A0A
    FENCE_APPLE       = 0x8A0B
  end
  
  Functions = {
    def glGenFencesAPPLE(n, fences) end => [ :void, :GLsizei, :pointer ].freeze,
    def glDeleteFencesAPPLE(n, fences) end => [ :void, :GLsizei, :pointer ].freeze,
    def glSetFenceAPPLE(fence) end => [ :void, :GLuint ].freeze,
    def glIsFenceAPPLE(fence) end => [ :GLboolean, :GLuint ].freeze,
    def glTestFenceAPPLE(fence) end => [ :GLboolean, :GLuint ].freeze,
    def glFinishFenceAPPLE(fence) end => [ :void, :GLuint ].freeze,
    def glTestObjectAPPLE(object, name) end => [ :GLboolean, :GLenum, :GLuint ].freeze,
    def glFinishObjectAPPLE(object, name) end => [ :void, :GLenum, :GLint ].freeze,
  }.freeze
end