module GL_APPLE_vertex_program_evaluators
  module Constants
    VERTEX_ATTRIB_MAP1_APPLE        = 0x8A00
    VERTEX_ATTRIB_MAP2_APPLE        = 0x8A01
    VERTEX_ATTRIB_MAP1_SIZE_APPLE   = 0x8A02
    VERTEX_ATTRIB_MAP1_COEFF_APPLE  = 0x8A03
    VERTEX_ATTRIB_MAP1_ORDER_APPLE  = 0x8A04
    VERTEX_ATTRIB_MAP1_DOMAIN_APPLE = 0x8A05
    VERTEX_ATTRIB_MAP2_SIZE_APPLE   = 0x8A06
    VERTEX_ATTRIB_MAP2_COEFF_APPLE  = 0x8A07
    VERTEX_ATTRIB_MAP2_ORDER_APPLE  = 0x8A08
    VERTEX_ATTRIB_MAP2_DOMAIN_APPLE = 0x8A09
  end
  
  Functions = {
    def glEnableVertexAttribAPPLE(index, pname) end => [ :void, :GLuint, :GLenum ].freeze,
    def glDisableVertexAttribAPPLE(index, pname) end => [ :void, :GLuint, :GLenum ].freeze,
    def glIsVertexAttribEnabledAPPLE(index, pname) end => [ :GLboolean, :GLuint, :GLenum ].freeze,
    def glMapVertexAttrib1dAPPLE(index, size, u1, u2, stride, order, points) end => [ :void, :GLuint, :GLuint, :GLdouble, :GLdouble, :GLint, :GLint, :pointer ].freeze,
    def glMapVertexAttrib1fAPPLE(index, size, u1, u2, stride, order, points) end => [ :void, :GLuint, :GLuint, :GLfloat, :GLfloat, :GLint, :GLint, :pointer ].freeze,
    def glMapVertexAttrib2dAPPLE(index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points) end => [ :void, :GLuint, :GLuint, :GLdouble, :GLdouble, :GLint, :GLint, :GLdouble, :GLdouble, :GLint, :GLint, :pointer ].freeze,
    def glMapVertexAttrib2fAPPLE(index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points) end => [ :void, :GLuint, :GLuint, :GLfloat, :GLfloat, :GLint, :GLint, :GLfloat, :GLfloat, :GLint, :GLint, :pointer ].freeze,
  }.freeze
end