module GL_ARB_draw_indirect
  module Constants
    DRAW_INDIRECT_BUFFER         = 0x8F3F
    DRAW_INDIRECT_BUFFER_BINDING = 0x8F43
  end
  
  Functions = {
    def glDrawArraysIndirect(mode, indirect) end => [ :void, :GLenum, :pointer ].freeze,
    def glDrawElementsIndirect(mode, type, indirect) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
  }.freeze
end