module GL_ARB_framebuffer_no_attachments
  module Constants
    FRAMEBUFFER_DEFAULT_WIDTH                  = 0x9310
    FRAMEBUFFER_DEFAULT_HEIGHT                 = 0x9311
    FRAMEBUFFER_DEFAULT_LAYERS                 = 0x9312
    FRAMEBUFFER_DEFAULT_SAMPLES                = 0x9313
    FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS = 0x9314
    MAX_FRAMEBUFFER_WIDTH                      = 0x9315
    MAX_FRAMEBUFFER_HEIGHT                     = 0x9316
    MAX_FRAMEBUFFER_LAYERS                     = 0x9317
    MAX_FRAMEBUFFER_SAMPLES                    = 0x9318
  end
  
  Functions = {
    def glFramebufferParameteri(target, pname, param) end => [ :void, :GLenum, :GLenum, :GLint ].freeze,
    def glGetFramebufferParameteriv(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
  }.freeze
end