module GL_ARB_matrix_palette
  module Constants
    MATRIX_PALETTE_ARB                 = 0x8840
    MAX_MATRIX_PALETTE_STACK_DEPTH_ARB = 0x8841
    MAX_PALETTE_MATRICES_ARB           = 0x8842
    CURRENT_PALETTE_MATRIX_ARB         = 0x8843
    MATRIX_INDEX_ARRAY_ARB             = 0x8844
    CURRENT_MATRIX_INDEX_ARB           = 0x8845
    MATRIX_INDEX_ARRAY_SIZE_ARB        = 0x8846
    MATRIX_INDEX_ARRAY_TYPE_ARB        = 0x8847
    MATRIX_INDEX_ARRAY_STRIDE_ARB      = 0x8848
    MATRIX_INDEX_ARRAY_POINTER_ARB     = 0x8849
  end
  
  Functions = {
    def glCurrentPaletteMatrixARB(index) end => [ :void, :GLint ].freeze,
    def glMatrixIndexubvARB(size, indices) end => [ :void, :GLint, :pointer ].freeze,
    def glMatrixIndexusvARB(size, indices) end => [ :void, :GLint, :pointer ].freeze,
    def glMatrixIndexuivARB(size, indices) end => [ :void, :GLint, :pointer ].freeze,
    def glMatrixIndexPointerARB(size, type, stride, pointer) end => [ :void, :GLint, :GLenum, :GLsizei, :pointer ].freeze,
  }.freeze
end