module GL_ARB_multi_bind
  Functions = {
    def glBindBuffersBase(target, first, count, buffers) end => [ :void, :GLenum, :GLuint, :GLsizei, :pointer ].freeze,
    def glBindBuffersRange(target, first, count, buffers, offsets, sizes) end => [ :void, :GLenum, :GLuint, :GLsizei, :pointer, :pointer, :pointer ].freeze,
    def glBindTextures(first, count, textures) end => [ :void, :GLuint, :GLsizei, :pointer ].freeze,
    def glBindSamplers(first, count, samplers) end => [ :void, :GLuint, :GLsizei, :pointer ].freeze,
    def glBindImageTextures(first, count, textures) end => [ :void, :GLuint, :GLsizei, :pointer ].freeze,
    def glBindVertexBuffers(first, count, buffers, offsets, strides) end => [ :void, :GLuint, :GLsizei, :pointer, :pointer, :pointer ].freeze,
  }.freeze
end