module GL_ARB_occlusion_query
  module Constants
    QUERY_COUNTER_BITS_ARB     = 0x8864
    CURRENT_QUERY_ARB          = 0x8865
    QUERY_RESULT_ARB           = 0x8866
    QUERY_RESULT_AVAILABLE_ARB = 0x8867
    SAMPLES_PASSED_ARB         = 0x8914
  end
  
  Functions = {
    def glGenQueriesARB(n, ids) end => [ :void, :GLsizei, :pointer ].freeze,
    def glDeleteQueriesARB(n, ids) end => [ :void, :GLsizei, :pointer ].freeze,
    def glIsQueryARB(id) end => [ :GLboolean, :GLuint ].freeze,
    def glBeginQueryARB(target, id) end => [ :void, :GLenum, :GLuint ].freeze,
    def glEndQueryARB(target) end => [ :void, :GLenum ].freeze,
    def glGetQueryivARB(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glGetQueryObjectivARB(id, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetQueryObjectuivARB(id, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end