module GL_ARB_shading_language_include
  module Constants
    SHADER_INCLUDE_ARB      = 0x8DAE
    NAMED_STRING_LENGTH_ARB = 0x8DE9
    NAMED_STRING_TYPE_ARB   = 0x8DEA
  end
  
  Functions = {
    def glNamedStringARB(type, namelen, name, stringlen, string) end => [ :void, :GLenum, :GLint, :string, :GLint, :string ].freeze,
    def glDeleteNamedStringARB(namelen, name) end => [ :void, :GLint, :string ].freeze,
    def glCompileShaderIncludeARB(shader, count, path, length) end => [ :void, :GLuint, :GLsizei, :pointer, :pointer ].freeze,
    def glIsNamedStringARB(namelen, name) end => [ :GLboolean, :GLint, :string ].freeze,
    def glGetNamedStringARB(namelen, name, bufSize, stringlen, string) end => [ :void, :GLint, :string, :GLsizei, :pointer, :string ].freeze,
    def glGetNamedStringivARB(namelen, name, pname, params) end => [ :void, :GLint, :string, :GLenum, :pointer ].freeze,
  }.freeze
end