module GL_ARB_sparse_buffer
  module Constants
    SPARSE_STORAGE_BIT_ARB      = 0x0400
    SPARSE_BUFFER_PAGE_SIZE_ARB = 0x82F8
  end
  
  Functions = {
    def glBufferPageCommitmentARB(target, offset, size, commit) end => [ :void, :GLenum, :GLintptr, :GLsizeiptr, :GLboolean ].freeze,
    def glNamedBufferPageCommitmentEXT(buffer, offset, size, commit) end => [ :void, :GLuint, :GLintptr, :GLsizeiptr, :GLboolean ].freeze,
    def glNamedBufferPageCommitmentARB(buffer, offset, size, commit) end => [ :void, :GLuint, :GLintptr, :GLsizeiptr, :GLboolean ].freeze,
  }.freeze
end