module GL_ARB_texture_compression
  module Constants
    COMPRESSED_ALPHA_ARB               = 0x84E9
    COMPRESSED_LUMINANCE_ARB           = 0x84EA
    COMPRESSED_LUMINANCE_ALPHA_ARB     = 0x84EB
    COMPRESSED_INTENSITY_ARB           = 0x84EC
    COMPRESSED_RGB_ARB                 = 0x84ED
    COMPRESSED_RGBA_ARB                = 0x84EE
    TEXTURE_COMPRESSION_HINT_ARB       = 0x84EF
    TEXTURE_COMPRESSED_IMAGE_SIZE_ARB  = 0x86A0
    TEXTURE_COMPRESSED_ARB             = 0x86A1
    NUM_COMPRESSED_TEXTURE_FORMATS_ARB = 0x86A2
    COMPRESSED_TEXTURE_FORMATS_ARB     = 0x86A3
  end
  
  Functions = {
    def glCompressedTexImage3DARB(target, level, internalformat, width, height, depth, border, imageSize, data) end => [ :void, :GLenum, :GLint, :GLenum, :GLsizei, :GLsizei, :GLsizei, :GLint, :GLsizei, :pointer ].freeze,
    def glCompressedTexImage2DARB(target, level, internalformat, width, height, border, imageSize, data) end => [ :void, :GLenum, :GLint, :GLenum, :GLsizei, :GLsizei, :GLint, :GLsizei, :pointer ].freeze,
    def glCompressedTexImage1DARB(target, level, internalformat, width, border, imageSize, data) end => [ :void, :GLenum, :GLint, :GLenum, :GLsizei, :GLint, :GLsizei, :pointer ].freeze,
    def glCompressedTexSubImage3DARB(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data) end => [ :void, :GLenum, :GLint, :GLint, :GLint, :GLint, :GLsizei, :GLsizei, :GLsizei, :GLenum, :GLsizei, :pointer ].freeze,
    def glCompressedTexSubImage2DARB(target, level, xoffset, yoffset, width, height, format, imageSize, data) end => [ :void, :GLenum, :GLint, :GLint, :GLint, :GLsizei, :GLsizei, :GLenum, :GLsizei, :pointer ].freeze,
    def glCompressedTexSubImage1DARB(target, level, xoffset, width, format, imageSize, data) end => [ :void, :GLenum, :GLint, :GLint, :GLsizei, :GLenum, :GLsizei, :pointer ].freeze,
    def glGetCompressedTexImageARB(target, level, img) end => [ :void, :GLenum, :GLint, :pointer ].freeze,
  }.freeze
end