module GL_ARB_timer_query
  module Constants
    TIME_ELAPSED = 0x88BF
    TIMESTAMP    = 0x8E28
  end
  
  Functions = {
    def glQueryCounter(id, target) end => [ :void, :GLuint, :GLenum ].freeze,
    def glGetQueryObjecti64v(id, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetQueryObjectui64v(id, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end