module GL_ARB_window_pos
  Functions = {
    def glWindowPos2dARB(x, y) end => [ :void, :GLdouble, :GLdouble ].freeze,
    def glWindowPos2dvARB(v) end => [ :void, :pointer ].freeze,
    def glWindowPos2fARB(x, y) end => [ :void, :GLfloat, :GLfloat ].freeze,
    def glWindowPos2fvARB(v) end => [ :void, :pointer ].freeze,
    def glWindowPos2iARB(x, y) end => [ :void, :GLint, :GLint ].freeze,
    def glWindowPos2ivARB(v) end => [ :void, :pointer ].freeze,
    def glWindowPos2sARB(x, y) end => [ :void, :GLshort, :GLshort ].freeze,
    def glWindowPos2svARB(v) end => [ :void, :pointer ].freeze,
    def glWindowPos3dARB(x, y, z) end => [ :void, :GLdouble, :GLdouble, :GLdouble ].freeze,
    def glWindowPos3dvARB(v) end => [ :void, :pointer ].freeze,
    def glWindowPos3fARB(x, y, z) end => [ :void, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glWindowPos3fvARB(v) end => [ :void, :pointer ].freeze,
    def glWindowPos3iARB(x, y, z) end => [ :void, :GLint, :GLint, :GLint ].freeze,
    def glWindowPos3ivARB(v) end => [ :void, :pointer ].freeze,
    def glWindowPos3sARB(x, y, z) end => [ :void, :GLshort, :GLshort, :GLshort ].freeze,
    def glWindowPos3svARB(v) end => [ :void, :pointer ].freeze,
  }.freeze
end