module GL_ATI_element_array
  module Constants
    ELEMENT_ARRAY_ATI         = 0x8768
    ELEMENT_ARRAY_TYPE_ATI    = 0x8769
    ELEMENT_ARRAY_POINTER_ATI = 0x876A
  end
  
  Functions = {
    def glElementPointerATI(type, pointer) end => [ :void, :GLenum, :pointer ].freeze,
    def glDrawElementArrayATI(mode, count) end => [ :void, :GLenum, :GLsizei ].freeze,
    def glDrawRangeElementArrayATI(mode, start, end_, count) end => [ :void, :GLenum, :GLuint, :GLuint, :GLsizei ].freeze,
  }.freeze
end