module GL_ATI_envmap_bumpmap
  module Constants
    BUMP_ROT_MATRIX_ATI      = 0x8775
    BUMP_ROT_MATRIX_SIZE_ATI = 0x8776
    BUMP_NUM_TEX_UNITS_ATI   = 0x8777
    BUMP_TEX_UNITS_ATI       = 0x8778
    DUDV_ATI                 = 0x8779
    DU8DV8_ATI               = 0x877A
    BUMP_ENVMAP_ATI          = 0x877B
    BUMP_TARGET_ATI          = 0x877C
  end
  
  Functions = {
    def glTexBumpParameterivATI(pname, param) end => [ :void, :GLenum, :pointer ].freeze,
    def glTexBumpParameterfvATI(pname, param) end => [ :void, :GLenum, :pointer ].freeze,
    def glGetTexBumpParameterivATI(pname, param) end => [ :void, :GLenum, :pointer ].freeze,
    def glGetTexBumpParameterfvATI(pname, param) end => [ :void, :GLenum, :pointer ].freeze,
  }.freeze
end