module GL_ATI_separate_stencil
  module Constants
    STENCIL_BACK_FUNC_ATI            = 0x8800
    STENCIL_BACK_FAIL_ATI            = 0x8801
    STENCIL_BACK_PASS_DEPTH_FAIL_ATI = 0x8802
    STENCIL_BACK_PASS_DEPTH_PASS_ATI = 0x8803
  end
  
  Functions = {
    def glStencilOpSeparateATI(face, sfail, dpfail, dppass) end => [ :void, :GLenum, :GLenum, :GLenum, :GLenum ].freeze,
    def glStencilFuncSeparateATI(frontfunc, backfunc, ref, mask) end => [ :void, :GLenum, :GLenum, :GLint, :GLuint ].freeze,
  }.freeze
end