module GL_EXT_bindable_uniform
  module Constants
    MAX_VERTEX_BINDABLE_UNIFORMS_EXT   = 0x8DE2
    MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT = 0x8DE3
    MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT = 0x8DE4
    MAX_BINDABLE_UNIFORM_SIZE_EXT      = 0x8DED
    UNIFORM_BUFFER_EXT                 = 0x8DEE
    UNIFORM_BUFFER_BINDING_EXT         = 0x8DEF
  end
  
  Functions = {
    def glUniformBufferEXT(program, location, buffer) end => [ :void, :GLuint, :GLint, :GLuint ].freeze,
    def glGetUniformBufferSizeEXT(program, location) end => [ :GLint, :GLuint, :GLint ].freeze,
    def glGetUniformOffsetEXT(program, location) end => [ :GLintptr, :GLuint, :GLint ].freeze,
  }.freeze
end