module GL_EXT_blend_func_extended
  module Constants
    SRC1_COLOR_EXT                   = 0x88F9
    SRC1_ALPHA_EXT                   = 0x8589
    ONE_MINUS_SRC1_COLOR_EXT         = 0x88FA
    ONE_MINUS_SRC1_ALPHA_EXT         = 0x88FB
    SRC_ALPHA_SATURATE_EXT           = 0x0308
    LOCATION_INDEX_EXT               = 0x930F
    MAX_DUAL_SOURCE_DRAW_BUFFERS_EXT = 0x88FC
  end
  
  Functions = {
    def glBindFragDataLocationIndexedEXT(program, colorNumber, index, name) end => [ :void, :GLuint, :GLuint, :GLuint, :string ].freeze,
    def glBindFragDataLocationEXT(program, color, name) end => [ :void, :GLuint, :GLuint, :string ].freeze,
    def glGetProgramResourceLocationIndexEXT(program, programInterface, name) end => [ :GLint, :GLuint, :GLenum, :string ].freeze,
    def glGetFragDataIndexEXT(program, name) end => [ :GLint, :GLuint, :string ].freeze,
  }.freeze
end