module GL_EXT_debug_label
  module Constants
    PROGRAM_PIPELINE_OBJECT_EXT = 0x8A4F
    PROGRAM_OBJECT_EXT          = 0x8B40
    SHADER_OBJECT_EXT           = 0x8B48
    BUFFER_OBJECT_EXT           = 0x9151
    QUERY_OBJECT_EXT            = 0x9153
    VERTEX_ARRAY_OBJECT_EXT     = 0x9154
    SAMPLER                     = 0x82E6
    TRANSFORM_FEEDBACK          = 0x8E22
  end
  
  Functions = {
    def glLabelObjectEXT(type, object, length, label) end => [ :void, :GLenum, :GLuint, :GLsizei, :string ].freeze,
    def glGetObjectLabelEXT(type, object, bufSize, length, label) end => [ :void, :GLenum, :GLuint, :GLsizei, :pointer, :string ].freeze,
  }.freeze
end