module GL_EXT_instanced_arrays
  module Constants
    VERTEX_ATTRIB_ARRAY_DIVISOR_EXT = 0x88FE
  end
  
  Functions = {
    def glDrawArraysInstancedEXT(mode, start, count, primcount) end => [ :void, :GLenum, :GLint, :GLsizei, :GLsizei ].freeze,
    def glDrawElementsInstancedEXT(mode, count, type, indices, primcount) end => [ :void, :GLenum, :GLsizei, :GLenum, :pointer, :GLsizei ].freeze,
    def glVertexAttribDivisorEXT(index, divisor) end => [ :void, :GLuint, :GLuint ].freeze,
  }.freeze
end