module GL_EXT_multisampled_render_to_texture
  module Constants
    FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT = 0x8D6C
    RENDERBUFFER_SAMPLES_EXT                   = 0x8CAB
    FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT     = 0x8D56
    MAX_SAMPLES_EXT                            = 0x8D57
  end
  
  Functions = {
    def glRenderbufferStorageMultisampleEXT(target, samples, internalformat, width, height) end => [ :void, :GLenum, :GLsizei, :GLenum, :GLsizei, :GLsizei ].freeze,
    def glFramebufferTexture2DMultisampleEXT(target, attachment, textarget, texture, level, samples) end => [ :void, :GLenum, :GLenum, :GLenum, :GLuint, :GLint, :GLsizei ].freeze,
  }.freeze
end