module GL_EXT_occlusion_query_boolean
  module Constants
    ANY_SAMPLES_PASSED_EXT              = 0x8C2F
    ANY_SAMPLES_PASSED_CONSERVATIVE_EXT = 0x8D6A
    CURRENT_QUERY_EXT                   = 0x8865
    QUERY_RESULT_EXT                    = 0x8866
    QUERY_RESULT_AVAILABLE_EXT          = 0x8867
  end
  
  Functions = {
    def glGenQueriesEXT(n, ids) end => [ :void, :GLsizei, :pointer ].freeze,
    def glDeleteQueriesEXT(n, ids) end => [ :void, :GLsizei, :pointer ].freeze,
    def glIsQueryEXT(id) end => [ :GLboolean, :GLuint ].freeze,
    def glBeginQueryEXT(target, id) end => [ :void, :GLenum, :GLuint ].freeze,
    def glEndQueryEXT(target) end => [ :void, :GLenum ].freeze,
    def glGetQueryivEXT(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glGetQueryObjectuivEXT(id, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end