module GL_EXT_paletted_texture
  module Constants
    COLOR_INDEX1_EXT       = 0x80E2
    COLOR_INDEX2_EXT       = 0x80E3
    COLOR_INDEX4_EXT       = 0x80E4
    COLOR_INDEX8_EXT       = 0x80E5
    COLOR_INDEX12_EXT      = 0x80E6
    COLOR_INDEX16_EXT      = 0x80E7
    TEXTURE_INDEX_SIZE_EXT = 0x80ED
  end
  
  Functions = {
    def glColorTableEXT(target, internalFormat, width, format, type, table) end => [ :void, :GLenum, :GLenum, :GLsizei, :GLenum, :GLenum, :pointer ].freeze,
    def glGetColorTableEXT(target, format, type, data) end => [ :void, :GLenum, :GLenum, :GLenum, :pointer ].freeze,
    def glGetColorTableParameterivEXT(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glGetColorTableParameterfvEXT(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
  }.freeze
end