module GL_EXT_point_parameters
  module Constants
    POINT_SIZE_MIN_EXT            = 0x8126
    POINT_SIZE_MAX_EXT            = 0x8127
    POINT_FADE_THRESHOLD_SIZE_EXT = 0x8128
    DISTANCE_ATTENUATION_EXT      = 0x8129
  end
  
  Functions = {
    def glPointParameterfEXT(pname, param) end => [ :void, :GLenum, :GLfloat ].freeze,
    def glPointParameterfvEXT(pname, params) end => [ :void, :GLenum, :pointer ].freeze,
  }.freeze
end