module GL_EXT_shader_pixel_local_storage2
  module Constants
    MAX_SHADER_COMBINED_LOCAL_STORAGE_FAST_SIZE_EXT                       = 0x9650
    MAX_SHADER_COMBINED_LOCAL_STORAGE_SIZE_EXT                            = 0x9651
    FRAMEBUFFER_INCOMPLETE_INSUFFICIENT_SHADER_COMBINED_LOCAL_STORAGE_EXT = 0x9652
  end
  
  Functions = {
    def glFramebufferPixelLocalStorageSizeEXT(target, size) end => [ :void, :GLuint, :GLsizei ].freeze,
    def glGetFramebufferPixelLocalStorageSizeEXT(target) end => [ :GLsizei, :GLuint ].freeze,
    def glClearPixelLocalStorageuiEXT(offset, n, values) end => [ :void, :GLsizei, :GLsizei, :pointer ].freeze,
  }.freeze
end