module GL_EXT_texture_array
  module Constants
    TEXTURE_1D_ARRAY_EXT                     = 0x8C18
    PROXY_TEXTURE_1D_ARRAY_EXT               = 0x8C19
    TEXTURE_2D_ARRAY_EXT                     = 0x8C1A
    PROXY_TEXTURE_2D_ARRAY_EXT               = 0x8C1B
    TEXTURE_BINDING_1D_ARRAY_EXT             = 0x8C1C
    TEXTURE_BINDING_2D_ARRAY_EXT             = 0x8C1D
    MAX_ARRAY_TEXTURE_LAYERS_EXT             = 0x88FF
    COMPARE_REF_DEPTH_TO_TEXTURE_EXT         = 0x884E
    FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT = 0x8CD4
  end
  
  Functions = {
    def glFramebufferTextureLayerEXT(target, attachment, texture, level, layer) end => [ :void, :GLenum, :GLenum, :GLuint, :GLint, :GLint ].freeze,
  }.freeze
end