module GL_EXT_texture_object
  module Constants
    TEXTURE_PRIORITY_EXT   = 0x8066
    TEXTURE_RESIDENT_EXT   = 0x8067
    TEXTURE_1D_BINDING_EXT = 0x8068
    TEXTURE_2D_BINDING_EXT = 0x8069
    TEXTURE_3D_BINDING_EXT = 0x806A
  end
  
  Functions = {
    def glAreTexturesResidentEXT(n, textures, residences) end => [ :GLboolean, :GLsizei, :pointer, :pointer ].freeze,
    def glBindTextureEXT(target, texture) end => [ :void, :GLenum, :GLuint ].freeze,
    def glDeleteTexturesEXT(n, textures) end => [ :void, :GLsizei, :pointer ].freeze,
    def glGenTexturesEXT(n, textures) end => [ :void, :GLsizei, :pointer ].freeze,
    def glIsTextureEXT(texture) end => [ :GLboolean, :GLuint ].freeze,
    def glPrioritizeTexturesEXT(n, textures, priorities) end => [ :void, :GLsizei, :pointer, :pointer ].freeze,
  }.freeze
end