module GL_EXT_texture_snorm
  module Constants
    ALPHA_SNORM               = 0x9010
    LUMINANCE_SNORM           = 0x9011
    LUMINANCE_ALPHA_SNORM     = 0x9012
    INTENSITY_SNORM           = 0x9013
    ALPHA8_SNORM              = 0x9014
    LUMINANCE8_SNORM          = 0x9015
    LUMINANCE8_ALPHA8_SNORM   = 0x9016
    INTENSITY8_SNORM          = 0x9017
    ALPHA16_SNORM             = 0x9018
    LUMINANCE16_SNORM         = 0x9019
    LUMINANCE16_ALPHA16_SNORM = 0x901A
    INTENSITY16_SNORM         = 0x901B
    RED_SNORM                 = 0x8F90
    RG_SNORM                  = 0x8F91
    RGB_SNORM                 = 0x8F92
    RGBA_SNORM                = 0x8F93
    R8_SNORM                  = 0x8F94
    RG8_SNORM                 = 0x8F95
    RGB8_SNORM                = 0x8F96
    RGBA8_SNORM               = 0x8F97
    R16_SNORM                 = 0x8F98
    RG16_SNORM                = 0x8F99
    RGB16_SNORM               = 0x8F9A
    RGBA16_SNORM              = 0x8F9B
    SIGNED_NORMALIZED         = 0x8F9C
  end
end