module GL_EXT_window_rectangles
  module Constants
    INCLUSIVE_EXT             = 0x8F10
    EXCLUSIVE_EXT             = 0x8F11
    WINDOW_RECTANGLE_EXT      = 0x8F12
    WINDOW_RECTANGLE_MODE_EXT = 0x8F13
    MAX_WINDOW_RECTANGLES_EXT = 0x8F14
    NUM_WINDOW_RECTANGLES_EXT = 0x8F15
  end
  
  Functions = {
    def glWindowRectanglesEXT(mode, count, box) end => [ :void, :GLenum, :GLsizei, :pointer ].freeze,
  }.freeze
end