module GL_IBM_vertex_array_lists
  module Constants
    VERTEX_ARRAY_LIST_IBM                 = 103070
    NORMAL_ARRAY_LIST_IBM                 = 103071
    COLOR_ARRAY_LIST_IBM                  = 103072
    INDEX_ARRAY_LIST_IBM                  = 103073
    TEXTURE_COORD_ARRAY_LIST_IBM          = 103074
    EDGE_FLAG_ARRAY_LIST_IBM              = 103075
    FOG_COORDINATE_ARRAY_LIST_IBM         = 103076
    SECONDARY_COLOR_ARRAY_LIST_IBM        = 103077
    VERTEX_ARRAY_LIST_STRIDE_IBM          = 103080
    NORMAL_ARRAY_LIST_STRIDE_IBM          = 103081
    COLOR_ARRAY_LIST_STRIDE_IBM           = 103082
    INDEX_ARRAY_LIST_STRIDE_IBM           = 103083
    TEXTURE_COORD_ARRAY_LIST_STRIDE_IBM   = 103084
    EDGE_FLAG_ARRAY_LIST_STRIDE_IBM       = 103085
    FOG_COORDINATE_ARRAY_LIST_STRIDE_IBM  = 103086
    SECONDARY_COLOR_ARRAY_LIST_STRIDE_IBM = 103087
  end
  
  Functions = {
    def glColorPointerListIBM(size, type, stride, pointer, ptrstride) end => [ :void, :GLint, :GLenum, :GLint, :pointer, :GLint ].freeze,
    def glSecondaryColorPointerListIBM(size, type, stride, pointer, ptrstride) end => [ :void, :GLint, :GLenum, :GLint, :pointer, :GLint ].freeze,
    def glEdgeFlagPointerListIBM(stride, pointer, ptrstride) end => [ :void, :GLint, :pointer, :GLint ].freeze,
    def glFogCoordPointerListIBM(type, stride, pointer, ptrstride) end => [ :void, :GLenum, :GLint, :pointer, :GLint ].freeze,
    def glIndexPointerListIBM(type, stride, pointer, ptrstride) end => [ :void, :GLenum, :GLint, :pointer, :GLint ].freeze,
    def glNormalPointerListIBM(type, stride, pointer, ptrstride) end => [ :void, :GLenum, :GLint, :pointer, :GLint ].freeze,
    def glTexCoordPointerListIBM(size, type, stride, pointer, ptrstride) end => [ :void, :GLint, :GLenum, :GLint, :pointer, :GLint ].freeze,
    def glVertexPointerListIBM(size, type, stride, pointer, ptrstride) end => [ :void, :GLint, :GLenum, :GLint, :pointer, :GLint ].freeze,
  }.freeze
end