module GL_IMG_bindless_texture
  Functions = {
    def glGetTextureHandleIMG(texture) end => [ :GLuint64, :GLuint ].freeze,
    def glGetTextureSamplerHandleIMG(texture, sampler) end => [ :GLuint64, :GLuint, :GLuint ].freeze,
    def glUniformHandleui64IMG(location, value) end => [ :void, :GLint, :GLuint64 ].freeze,
    def glUniformHandleui64vIMG(location, count, value) end => [ :void, :GLint, :GLsizei, :pointer ].freeze,
    def glProgramUniformHandleui64IMG(program, location, value) end => [ :void, :GLuint, :GLint, :GLuint64 ].freeze,
    def glProgramUniformHandleui64vIMG(program, location, count, values) end => [ :void, :GLuint, :GLint, :GLsizei, :pointer ].freeze,
  }.freeze
end