module GL_IMG_multisampled_render_to_texture
  module Constants
    RENDERBUFFER_SAMPLES_IMG               = 0x9133
    FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG = 0x9134
    MAX_SAMPLES_IMG                        = 0x9135
    TEXTURE_SAMPLES_IMG                    = 0x9136
  end
  
  Functions = {
    def glRenderbufferStorageMultisampleIMG(target, samples, internalformat, width, height) end => [ :void, :GLenum, :GLsizei, :GLenum, :GLsizei, :GLsizei ].freeze,
    def glFramebufferTexture2DMultisampleIMG(target, attachment, textarget, texture, level, samples) end => [ :void, :GLenum, :GLenum, :GLenum, :GLuint, :GLint, :GLsizei ].freeze,
  }.freeze
end