module GL_INTEL_map_texture
  module Constants
    TEXTURE_MEMORY_LAYOUT_INTEL    = 0x83FF
    LAYOUT_DEFAULT_INTEL           = 0
    LAYOUT_LINEAR_INTEL            = 1
    LAYOUT_LINEAR_CPU_CACHED_INTEL = 2
  end
  
  Functions = {
    def glSyncTextureINTEL(texture) end => [ :void, :GLuint ].freeze,
    def glUnmapTexture2DINTEL(texture, level) end => [ :void, :GLuint, :GLint ].freeze,
    def glMapTexture2DINTEL(texture, level, access, stride, layout) end => [ :pointer, :GLuint, :GLint, :GLbitfield, :pointer, :pointer ].freeze,
  }.freeze
end