module GL_INTEL_parallel_arrays
  module Constants
    PARALLEL_ARRAYS_INTEL                       = 0x83F4
    VERTEX_ARRAY_PARALLEL_POINTERS_INTEL        = 0x83F5
    NORMAL_ARRAY_PARALLEL_POINTERS_INTEL        = 0x83F6
    COLOR_ARRAY_PARALLEL_POINTERS_INTEL         = 0x83F7
    TEXTURE_COORD_ARRAY_PARALLEL_POINTERS_INTEL = 0x83F8
  end
  
  Functions = {
    def glVertexPointervINTEL(size, type, pointer) end => [ :void, :GLint, :GLenum, :pointer ].freeze,
    def glNormalPointervINTEL(type, pointer) end => [ :void, :GLenum, :pointer ].freeze,
    def glColorPointervINTEL(size, type, pointer) end => [ :void, :GLint, :GLenum, :pointer ].freeze,
    def glTexCoordPointervINTEL(size, type, pointer) end => [ :void, :GLint, :GLenum, :pointer ].freeze,
  }.freeze
end