module GL_NV_bindless_texture
  Functions = {
    def glGetTextureHandleNV(texture) end => [ :GLuint64, :GLuint ].freeze,
    def glGetTextureSamplerHandleNV(texture, sampler) end => [ :GLuint64, :GLuint, :GLuint ].freeze,
    def glMakeTextureHandleResidentNV(handle) end => [ :void, :GLuint64 ].freeze,
    def glMakeTextureHandleNonResidentNV(handle) end => [ :void, :GLuint64 ].freeze,
    def glGetImageHandleNV(texture, level, layered, layer, format) end => [ :GLuint64, :GLuint, :GLint, :GLboolean, :GLint, :GLenum ].freeze,
    def glMakeImageHandleResidentNV(handle, access) end => [ :void, :GLuint64, :GLenum ].freeze,
    def glMakeImageHandleNonResidentNV(handle) end => [ :void, :GLuint64 ].freeze,
    def glUniformHandleui64NV(location, value) end => [ :void, :GLint, :GLuint64 ].freeze,
    def glUniformHandleui64vNV(location, count, value) end => [ :void, :GLint, :GLsizei, :pointer ].freeze,
    def glProgramUniformHandleui64NV(program, location, value) end => [ :void, :GLuint, :GLint, :GLuint64 ].freeze,
    def glProgramUniformHandleui64vNV(program, location, count, values) end => [ :void, :GLuint, :GLint, :GLsizei, :pointer ].freeze,
    def glIsTextureHandleResidentNV(handle) end => [ :GLboolean, :GLuint64 ].freeze,
    def glIsImageHandleResidentNV(handle) end => [ :GLboolean, :GLuint64 ].freeze,
  }.freeze
end