module GL_NV_blend_equation_advanced
  module Constants
    BLEND_OVERLAP_NV           = 0x9281
    BLEND_PREMULTIPLIED_SRC_NV = 0x9280
    BLUE_NV                    = 0x1905
    COLORBURN_NV               = 0x929A
    COLORDODGE_NV              = 0x9299
    CONJOINT_NV                = 0x9284
    CONTRAST_NV                = 0x92A1
    DARKEN_NV                  = 0x9297
    DIFFERENCE_NV              = 0x929E
    DISJOINT_NV                = 0x9283
    DST_ATOP_NV                = 0x928F
    DST_IN_NV                  = 0x928B
    DST_NV                     = 0x9287
    DST_OUT_NV                 = 0x928D
    DST_OVER_NV                = 0x9289
    EXCLUSION_NV               = 0x92A0
    GREEN_NV                   = 0x1904
    HARDLIGHT_NV               = 0x929B
    HARDMIX_NV                 = 0x92A9
    HSL_COLOR_NV               = 0x92AF
    HSL_HUE_NV                 = 0x92AD
    HSL_LUMINOSITY_NV          = 0x92B0
    HSL_SATURATION_NV          = 0x92AE
    INVERT                     = 0x150A
    INVERT_OVG_NV              = 0x92B4
    INVERT_RGB_NV              = 0x92A3
    LIGHTEN_NV                 = 0x9298
    LINEARBURN_NV              = 0x92A5
    LINEARDODGE_NV             = 0x92A4
    LINEARLIGHT_NV             = 0x92A7
    MINUS_CLAMPED_NV           = 0x92B3
    MINUS_NV                   = 0x929F
    MULTIPLY_NV                = 0x9294
    OVERLAY_NV                 = 0x9296
    PINLIGHT_NV                = 0x92A8
    PLUS_CLAMPED_ALPHA_NV      = 0x92B2
    PLUS_CLAMPED_NV            = 0x92B1
    PLUS_DARKER_NV             = 0x9292
    PLUS_NV                    = 0x9291
    RED_NV                     = 0x1903
    SCREEN_NV                  = 0x9295
    SOFTLIGHT_NV               = 0x929C
    SRC_ATOP_NV                = 0x928E
    SRC_IN_NV                  = 0x928A
    SRC_NV                     = 0x9286
    SRC_OUT_NV                 = 0x928C
    SRC_OVER_NV                = 0x9288
    UNCORRELATED_NV            = 0x9282
    VIVIDLIGHT_NV              = 0x92A6
    XOR_NV                     = 0x1506
    ZERO                       = 0
  end
  
  Functions = {
    def glBlendParameteriNV(pname, value) end => [ :void, :GLenum, :GLint ].freeze,
    def glBlendBarrierNV() end => [ :void ].freeze,
  }.freeze
end