module GL_NV_conservative_raster
  module Constants
    CONSERVATIVE_RASTERIZATION_NV       = 0x9346
    SUBPIXEL_PRECISION_BIAS_X_BITS_NV   = 0x9347
    SUBPIXEL_PRECISION_BIAS_Y_BITS_NV   = 0x9348
    MAX_SUBPIXEL_PRECISION_BIAS_BITS_NV = 0x9349
  end
  
  Functions = {
    def glSubpixelPrecisionBiasNV(xbits, ybits) end => [ :void, :GLuint, :GLuint ].freeze,
  }.freeze
end