module GL_NV_explicit_multisample
  module Constants
    SAMPLE_POSITION_NV                         = 0x8E50
    SAMPLE_MASK_NV                             = 0x8E51
    SAMPLE_MASK_VALUE_NV                       = 0x8E52
    TEXTURE_BINDING_RENDERBUFFER_NV            = 0x8E53
    TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV = 0x8E54
    TEXTURE_RENDERBUFFER_NV                    = 0x8E55
    SAMPLER_RENDERBUFFER_NV                    = 0x8E56
    INT_SAMPLER_RENDERBUFFER_NV                = 0x8E57
    UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV       = 0x8E58
    MAX_SAMPLE_MASK_WORDS_NV                   = 0x8E59
  end
  
  Functions = {
    def glGetMultisamplefvNV(pname, index, val) end => [ :void, :GLenum, :GLuint, :pointer ].freeze,
    def glSampleMaskIndexedNV(index, mask) end => [ :void, :GLuint, :GLbitfield ].freeze,
    def glTexRenderbufferNV(target, renderbuffer) end => [ :void, :GLenum, :GLuint ].freeze,
  }.freeze
end