module GL_NV_fence
  module Constants
    ALL_COMPLETED_NV   = 0x84F2
    FENCE_STATUS_NV    = 0x84F3
    FENCE_CONDITION_NV = 0x84F4
  end
  
  Functions = {
    def glDeleteFencesNV(n, fences) end => [ :void, :GLsizei, :pointer ].freeze,
    def glGenFencesNV(n, fences) end => [ :void, :GLsizei, :pointer ].freeze,
    def glIsFenceNV(fence) end => [ :GLboolean, :GLuint ].freeze,
    def glTestFenceNV(fence) end => [ :GLboolean, :GLuint ].freeze,
    def glGetFenceivNV(fence, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glFinishFenceNV(fence) end => [ :void, :GLuint ].freeze,
    def glSetFenceNV(fence, condition) end => [ :void, :GLuint, :GLenum ].freeze,
  }.freeze
end