module GL_NV_non_square_matrices
  module Constants
    FLOAT_MAT2x3_NV = 0x8B65
    FLOAT_MAT2x4_NV = 0x8B66
    FLOAT_MAT3x2_NV = 0x8B67
    FLOAT_MAT3x4_NV = 0x8B68
    FLOAT_MAT4x2_NV = 0x8B69
    FLOAT_MAT4x3_NV = 0x8B6A
  end
  
  Functions = {
    def glUniformMatrix2x3fvNV(location, count, transpose, value) end => [ :void, :GLint, :GLsizei, :GLboolean, :pointer ].freeze,
    def glUniformMatrix3x2fvNV(location, count, transpose, value) end => [ :void, :GLint, :GLsizei, :GLboolean, :pointer ].freeze,
    def glUniformMatrix2x4fvNV(location, count, transpose, value) end => [ :void, :GLint, :GLsizei, :GLboolean, :pointer ].freeze,
    def glUniformMatrix4x2fvNV(location, count, transpose, value) end => [ :void, :GLint, :GLsizei, :GLboolean, :pointer ].freeze,
    def glUniformMatrix3x4fvNV(location, count, transpose, value) end => [ :void, :GLint, :GLsizei, :GLboolean, :pointer ].freeze,
    def glUniformMatrix4x3fvNV(location, count, transpose, value) end => [ :void, :GLint, :GLsizei, :GLboolean, :pointer ].freeze,
  }.freeze
end