module GL_NV_present_video
  module Constants
    FRAME_NV            = 0x8E26
    FIELDS_NV           = 0x8E27
    CURRENT_TIME_NV     = 0x8E28
    NUM_FILL_STREAMS_NV = 0x8E29
    PRESENT_TIME_NV     = 0x8E2A
    PRESENT_DURATION_NV = 0x8E2B
  end
  
  Functions = {
    def glPresentFrameKeyedNV(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, key0, target1, fill1, key1) end => [ :void, :GLuint, :GLuint64EXT, :GLuint, :GLuint, :GLenum, :GLenum, :GLuint, :GLuint, :GLenum, :GLuint, :GLuint ].freeze,
    def glPresentFrameDualFillNV(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, target1, fill1, target2, fill2, target3, fill3) end => [ :void, :GLuint, :GLuint64EXT, :GLuint, :GLuint, :GLenum, :GLenum, :GLuint, :GLenum, :GLuint, :GLenum, :GLuint, :GLenum, :GLuint ].freeze,
    def glGetVideoivNV(video_slot, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetVideouivNV(video_slot, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetVideoi64vNV(video_slot, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetVideoui64vNV(video_slot, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end