module GL_NV_sample_locations
  module Constants
    SAMPLE_LOCATION_SUBPIXEL_BITS_NV             = 0x933D
    SAMPLE_LOCATION_PIXEL_GRID_WIDTH_NV          = 0x933E
    SAMPLE_LOCATION_PIXEL_GRID_HEIGHT_NV         = 0x933F
    PROGRAMMABLE_SAMPLE_LOCATION_TABLE_SIZE_NV   = 0x9340
    SAMPLE_LOCATION_NV                           = 0x8E50
    PROGRAMMABLE_SAMPLE_LOCATION_NV              = 0x9341
    FRAMEBUFFER_PROGRAMMABLE_SAMPLE_LOCATIONS_NV = 0x9342
    FRAMEBUFFER_SAMPLE_LOCATION_PIXEL_GRID_NV    = 0x9343
  end
  
  Functions = {
    def glFramebufferSampleLocationsfvNV(target, start, count, v) end => [ :void, :GLenum, :GLuint, :GLsizei, :pointer ].freeze,
    def glNamedFramebufferSampleLocationsfvNV(framebuffer, start, count, v) end => [ :void, :GLuint, :GLuint, :GLsizei, :pointer ].freeze,
    def glResolveDepthValuesNV() end => [ :void ].freeze,
  }.freeze
end