module GL_NV_texture_multisample
  module Constants
    TEXTURE_COVERAGE_SAMPLES_NV = 0x9045
    TEXTURE_COLOR_SAMPLES_NV    = 0x9046
  end
  
  Functions = {
    def glTexImage2DMultisampleCoverageNV(target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations) end => [ :void, :GLenum, :GLsizei, :GLsizei, :GLint, :GLsizei, :GLsizei, :GLboolean ].freeze,
    def glTexImage3DMultisampleCoverageNV(target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations) end => [ :void, :GLenum, :GLsizei, :GLsizei, :GLint, :GLsizei, :GLsizei, :GLsizei, :GLboolean ].freeze,
    def glTextureImage2DMultisampleNV(texture, target, samples, internalFormat, width, height, fixedSampleLocations) end => [ :void, :GLuint, :GLenum, :GLsizei, :GLint, :GLsizei, :GLsizei, :GLboolean ].freeze,
    def glTextureImage3DMultisampleNV(texture, target, samples, internalFormat, width, height, depth, fixedSampleLocations) end => [ :void, :GLuint, :GLenum, :GLsizei, :GLint, :GLsizei, :GLsizei, :GLsizei, :GLboolean ].freeze,
    def glTextureImage2DMultisampleCoverageNV(texture, target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations) end => [ :void, :GLuint, :GLenum, :GLsizei, :GLsizei, :GLint, :GLsizei, :GLsizei, :GLboolean ].freeze,
    def glTextureImage3DMultisampleCoverageNV(texture, target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations) end => [ :void, :GLuint, :GLenum, :GLsizei, :GLsizei, :GLint, :GLsizei, :GLsizei, :GLsizei, :GLboolean ].freeze,
  }.freeze
end