module GL_NV_transform_feedback2
  module Constants
    TRANSFORM_FEEDBACK_NV               = 0x8E22
    TRANSFORM_FEEDBACK_BUFFER_PAUSED_NV = 0x8E23
    TRANSFORM_FEEDBACK_BUFFER_ACTIVE_NV = 0x8E24
    TRANSFORM_FEEDBACK_BINDING_NV       = 0x8E25
  end
  
  Functions = {
    def glBindTransformFeedbackNV(target, id) end => [ :void, :GLenum, :GLuint ].freeze,
    def glDeleteTransformFeedbacksNV(n, ids) end => [ :void, :GLsizei, :pointer ].freeze,
    def glGenTransformFeedbacksNV(n, ids) end => [ :void, :GLsizei, :pointer ].freeze,
    def glIsTransformFeedbackNV(id) end => [ :GLboolean, :GLuint ].freeze,
    def glPauseTransformFeedbackNV() end => [ :void ].freeze,
    def glResumeTransformFeedbackNV() end => [ :void ].freeze,
    def glDrawTransformFeedbackNV(mode, id) end => [ :void, :GLenum, :GLuint ].freeze,
  }.freeze
end