module GL_OES_get_program_binary
  module Constants
    PROGRAM_BINARY_LENGTH_OES      = 0x8741
    NUM_PROGRAM_BINARY_FORMATS_OES = 0x87FE
    PROGRAM_BINARY_FORMATS_OES     = 0x87FF
  end
  
  Functions = {
    def glGetProgramBinaryOES(program, bufSize, length, binaryFormat, binary) end => [ :void, :GLuint, :GLsizei, :pointer, :pointer, :pointer ].freeze,
    def glProgramBinaryOES(program, binaryFormat, binary, length) end => [ :void, :GLuint, :GLenum, :pointer, :GLint ].freeze,
  }.freeze
end