module GL_OES_mapbuffer
  module Constants
    WRITE_ONLY_OES         = 0x88B9
    BUFFER_ACCESS_OES      = 0x88BB
    BUFFER_MAPPED_OES      = 0x88BC
    BUFFER_MAP_POINTER_OES = 0x88BD
  end
  
  Functions = {
    def glMapBufferOES(target, access) end => [ :pointer, :GLenum, :GLenum ].freeze,
    def glUnmapBufferOES(target) end => [ :GLboolean, :GLenum ].freeze,
    def glGetBufferPointervOES(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
  }.freeze
end