module GL_OES_point_size_array
  module Constants
    POINT_SIZE_ARRAY_OES                = 0x8B9C
    POINT_SIZE_ARRAY_TYPE_OES           = 0x898A
    POINT_SIZE_ARRAY_STRIDE_OES         = 0x898B
    POINT_SIZE_ARRAY_POINTER_OES        = 0x898C
    POINT_SIZE_ARRAY_BUFFER_BINDING_OES = 0x8B9F
  end
  
  Functions = {
    def glPointSizePointerOES(type, stride, pointer) end => [ :void, :GLenum, :GLsizei, :pointer ].freeze,
  }.freeze
end