module GL_OES_vertex_array_object
  module Constants
    VERTEX_ARRAY_BINDING_OES = 0x85B5
  end
  
  Functions = {
    def glBindVertexArrayOES(array) end => [ :void, :GLuint ].freeze,
    def glDeleteVertexArraysOES(n, arrays) end => [ :void, :GLsizei, :pointer ].freeze,
    def glGenVertexArraysOES(n, arrays) end => [ :void, :GLsizei, :pointer ].freeze,
    def glIsVertexArrayOES(array) end => [ :GLboolean, :GLuint ].freeze,
  }.freeze
end