module GL_SGIS_detail_texture
  module Constants
    DETAIL_TEXTURE_2D_SGIS          = 0x8095
    DETAIL_TEXTURE_2D_BINDING_SGIS  = 0x8096
    LINEAR_DETAIL_SGIS              = 0x8097
    LINEAR_DETAIL_ALPHA_SGIS        = 0x8098
    LINEAR_DETAIL_COLOR_SGIS        = 0x8099
    DETAIL_TEXTURE_LEVEL_SGIS       = 0x809A
    DETAIL_TEXTURE_MODE_SGIS        = 0x809B
    DETAIL_TEXTURE_FUNC_POINTS_SGIS = 0x809C
  end
  
  Functions = {
    def glDetailTexFuncSGIS(target, n, points) end => [ :void, :GLenum, :GLsizei, :pointer ].freeze,
    def glGetDetailTexFuncSGIS(target, points) end => [ :void, :GLenum, :pointer ].freeze,
  }.freeze
end