module GL_SGIS_point_parameters
  module Constants
    POINT_SIZE_MIN_SGIS            = 0x8126
    POINT_SIZE_MAX_SGIS            = 0x8127
    POINT_FADE_THRESHOLD_SIZE_SGIS = 0x8128
    DISTANCE_ATTENUATION_SGIS      = 0x8129
  end
  
  Functions = {
    def glPointParameterfSGIS(pname, param) end => [ :void, :GLenum, :GLfloat ].freeze,
    def glPointParameterfvSGIS(pname, params) end => [ :void, :GLenum, :pointer ].freeze,
  }.freeze
end