module GL_SGIS_texture4D
  module Constants
    PACK_SKIP_VOLUMES_SGIS   = 0x8130
    PACK_IMAGE_DEPTH_SGIS    = 0x8131
    UNPACK_SKIP_VOLUMES_SGIS = 0x8132
    UNPACK_IMAGE_DEPTH_SGIS  = 0x8133
    TEXTURE_4D_SGIS          = 0x8134
    PROXY_TEXTURE_4D_SGIS    = 0x8135
    TEXTURE_4DSIZE_SGIS      = 0x8136
    TEXTURE_WRAP_Q_SGIS      = 0x8137
    MAX_4D_TEXTURE_SIZE_SGIS = 0x8138
    TEXTURE_4D_BINDING_SGIS  = 0x814F
  end
  
  Functions = {
    def glTexImage4DSGIS(target, level, internalformat, width, height, depth, size4d, border, format, type, pixels) end => [ :void, :GLenum, :GLint, :GLenum, :GLsizei, :GLsizei, :GLsizei, :GLsizei, :GLint, :GLenum, :GLenum, :pointer ].freeze,
    def glTexSubImage4DSGIS(target, level, xoffset, yoffset, zoffset, woffset, width, height, depth, size4d, format, type, pixels) end => [ :void, :GLenum, :GLint, :GLint, :GLint, :GLint, :GLint, :GLsizei, :GLsizei, :GLsizei, :GLsizei, :GLenum, :GLenum, :pointer ].freeze,
  }.freeze
end