module GL_SGIX_list_priority
  module Constants
    LIST_PRIORITY_SGIX = 0x8182
  end
  
  Functions = {
    def glGetListParameterfvSGIX(list, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetListParameterivSGIX(list, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glListParameterfSGIX(list, pname, param) end => [ :void, :GLuint, :GLenum, :GLfloat ].freeze,
    def glListParameterfvSGIX(list, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glListParameteriSGIX(list, pname, param) end => [ :void, :GLuint, :GLenum, :GLint ].freeze,
    def glListParameterivSGIX(list, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end