module GL_SGIX_sprite
  module Constants
    SPRITE_SGIX                = 0x8148
    SPRITE_MODE_SGIX           = 0x8149
    SPRITE_AXIS_SGIX           = 0x814A
    SPRITE_TRANSLATION_SGIX    = 0x814B
    SPRITE_AXIAL_SGIX          = 0x814C
    SPRITE_OBJECT_ALIGNED_SGIX = 0x814D
    SPRITE_EYE_ALIGNED_SGIX    = 0x814E
  end
  
  Functions = {
    def glSpriteParameterfSGIX(pname, param) end => [ :void, :GLenum, :GLfloat ].freeze,
    def glSpriteParameterfvSGIX(pname, params) end => [ :void, :GLenum, :pointer ].freeze,
    def glSpriteParameteriSGIX(pname, param) end => [ :void, :GLenum, :GLint ].freeze,
    def glSpriteParameterivSGIX(pname, params) end => [ :void, :GLenum, :pointer ].freeze,
  }.freeze
end