module GL_SUN_global_alpha
  module Constants
    GLOBAL_ALPHA_SUN        = 0x81D9
    GLOBAL_ALPHA_FACTOR_SUN = 0x81DA
  end
  
  Functions = {
    def glGlobalAlphaFactorbSUN(factor) end => [ :void, :GLbyte ].freeze,
    def glGlobalAlphaFactorsSUN(factor) end => [ :void, :GLshort ].freeze,
    def glGlobalAlphaFactoriSUN(factor) end => [ :void, :GLint ].freeze,
    def glGlobalAlphaFactorfSUN(factor) end => [ :void, :GLfloat ].freeze,
    def glGlobalAlphaFactordSUN(factor) end => [ :void, :GLdouble ].freeze,
    def glGlobalAlphaFactorubSUN(factor) end => [ :void, :GLubyte ].freeze,
    def glGlobalAlphaFactorusSUN(factor) end => [ :void, :GLushort ].freeze,
    def glGlobalAlphaFactoruiSUN(factor) end => [ :void, :GLuint ].freeze,
  }.freeze
end