module WGL_ARB_buffer_region
  module Constants
    FRONT_COLOR_BUFFER_BIT_ARB = 0x00000001
    BACK_COLOR_BUFFER_BIT_ARB  = 0x00000002
    DEPTH_BUFFER_BIT_ARB       = 0x00000004
    STENCIL_BUFFER_BIT_ARB     = 0x00000008
  end
  
  Functions = {
    def wglCreateBufferRegionARB(hDC, iLayerPlane, uType) end => [ :HANDLE, :HDC, :int, :UINT ].freeze,
    def wglDeleteBufferRegionARB(hRegion) end => [ :VOID, :HANDLE ].freeze,
    def wglSaveBufferRegionARB(hRegion, x, y, width, height) end => [ :BOOL, :HANDLE, :int, :int, :int, :int ].freeze,
    def wglRestoreBufferRegionARB(hRegion, x, y, width, height, xSrc, ySrc) end => [ :BOOL, :HANDLE, :int, :int, :int, :int, :int, :int ].freeze,
  }.freeze
end