module WGL_I3D_gamma
  module Constants
    GAMMA_TABLE_SIZE_I3D      = 0x204E
    GAMMA_EXCLUDE_DESKTOP_I3D = 0x204F
  end
  
  Functions = {
    def wglGetGammaTableParametersI3D(hDC, iAttribute, piValue) end => [ :BOOL, :HDC, :int, :pointer ].freeze,
    def wglSetGammaTableParametersI3D(hDC, iAttribute, piValue) end => [ :BOOL, :HDC, :int, :pointer ].freeze,
    def wglGetGammaTableI3D(hDC, iEntries, puRed, puGreen, puBlue) end => [ :BOOL, :HDC, :int, :pointer, :pointer, :pointer ].freeze,
    def wglSetGammaTableI3D(hDC, iEntries, puRed, puGreen, puBlue) end => [ :BOOL, :HDC, :int, :pointer, :pointer, :pointer ].freeze,
  }.freeze
end