module WGL_I3D_image_buffer
  module Constants
    IMAGE_BUFFER_MIN_ACCESS_I3D = 0x00000001
    IMAGE_BUFFER_LOCK_I3D       = 0x00000002
  end
  
  Functions = {
    def wglCreateImageBufferI3D(hDC, dwSize, uFlags) end => [ :LPVOID, :HDC, :DWORD, :UINT ].freeze,
    def wglDestroyImageBufferI3D(hDC, pAddress) end => [ :BOOL, :HDC, :LPVOID ].freeze,
    def wglAssociateImageBufferEventsI3D(hDC, pEvent, pAddress, pSize, count) end => [ :BOOL, :HDC, :pointer, :pointer, :pointer, :UINT ].freeze,
    def wglReleaseImageBufferEventsI3D(hDC, pAddress, count) end => [ :BOOL, :HDC, :pointer, :UINT ].freeze,
  }.freeze
end