module WGL_NV_video_capture
  module Constants
    UNIQUE_ID_NV               = 0x20CE
    NUM_VIDEO_CAPTURE_SLOTS_NV = 0x20CF
  end
  
  Functions = {
    def wglBindVideoCaptureDeviceNV(uVideoSlot, hDevice) end => [ :BOOL, :UINT, :HVIDEOINPUTDEVICENV ].freeze,
    def wglEnumerateVideoCaptureDevicesNV(hDc, phDeviceList) end => [ :UINT, :HDC, :pointer ].freeze,
    def wglLockVideoCaptureDeviceNV(hDc, hDevice) end => [ :BOOL, :HDC, :HVIDEOINPUTDEVICENV ].freeze,
    def wglQueryVideoCaptureDeviceNV(hDc, hDevice, iAttribute, piValue) end => [ :BOOL, :HDC, :HVIDEOINPUTDEVICENV, :int, :pointer ].freeze,
    def wglReleaseVideoCaptureDeviceNV(hDc, hDevice) end => [ :BOOL, :HDC, :HVIDEOINPUTDEVICENV ].freeze,
  }.freeze
end