module GLX_NV_video_capture
  module Constants
    DEVICE_ID_NV               = 0x20CD
    UNIQUE_ID_NV               = 0x20CE
    NUM_VIDEO_CAPTURE_SLOTS_NV = 0x20CF
  end
  
  Functions = {
    def glXBindVideoCaptureDeviceNV(dpy, video_capture_slot, device) end => [ :int, :pointer, :uint, :GLXVideoCaptureDeviceNV ].freeze,
    def glXEnumerateVideoCaptureDevicesNV(dpy, screen, nelements) end => [ :pointer, :pointer, :int, :pointer ].freeze,
    def glXLockVideoCaptureDeviceNV(dpy, device) end => [ :void, :pointer, :GLXVideoCaptureDeviceNV ].freeze,
    def glXQueryVideoCaptureDeviceNV(dpy, device, attribute, value) end => [ :int, :pointer, :GLXVideoCaptureDeviceNV, :int, :pointer ].freeze,
    def glXReleaseVideoCaptureDeviceNV(dpy, device) end => [ :void, :pointer, :GLXVideoCaptureDeviceNV ].freeze,
  }.freeze
end