module GLX_SGIX_video_resize
  module Constants
    SYNC_FRAME_SGIX = 0x00000000
    SYNC_SWAP_SGIX  = 0x00000001
  end
  
  Functions = {
    def glXBindChannelToWindowSGIX(display, screen, channel, window) end => [ :int, :pointer, :int, :int, :Window ].freeze,
    def glXChannelRectSGIX(display, screen, channel, x, y, w, h) end => [ :int, :pointer, :int, :int, :int, :int, :int, :int ].freeze,
    def glXQueryChannelRectSGIX(display, screen, channel, dx, dy, dw, dh) end => [ :int, :pointer, :int, :int, :pointer, :pointer, :pointer, :pointer ].freeze,
    def glXQueryChannelDeltasSGIX(display, screen, channel, x, y, w, h) end => [ :int, :pointer, :int, :int, :pointer, :pointer, :pointer, :pointer ].freeze,
    def glXChannelRectSyncSGIX(display, screen, channel, synctype) end => [ :int, :pointer, :int, :int, :GLenum ].freeze,
  }.freeze
end