module GL_AMD_interleaved_elements
  module Constants
    VERTEX_ELEMENT_SWIZZLE_AMD = 0x91A4
    VERTEX_ID_SWIZZLE_AMD      = 0x91A5
    RED                        = 0x1903
    GREEN                      = 0x1904
    BLUE                       = 0x1905
    ALPHA                      = 0x1906
    RG8UI                      = 0x8238
    RG16UI                     = 0x823A
    RGBA8UI                    = 0x8D7C
  end
  
  Functions = {
    def glVertexAttribParameteriAMD(index, pname, param) end => [ :void, :GLuint, :GLenum, :GLint ].freeze,
  }.freeze
end