module GL_AMD_sparse_texture
  module Constants
    VIRTUAL_PAGE_SIZE_X_AMD         = 0x9195
    VIRTUAL_PAGE_SIZE_Y_AMD         = 0x9196
    VIRTUAL_PAGE_SIZE_Z_AMD         = 0x9197
    MAX_SPARSE_TEXTURE_SIZE_AMD     = 0x9198
    MAX_SPARSE_3D_TEXTURE_SIZE_AMD  = 0x9199
    MAX_SPARSE_ARRAY_TEXTURE_LAYERS = 0x919A
    MIN_SPARSE_LEVEL_AMD            = 0x919B
    MIN_LOD_WARNING_AMD             = 0x919C
    TEXTURE_STORAGE_SPARSE_BIT_AMD  = 0x00000001
  end
  
  Functions = {
    def glTexStorageSparseAMD(target, internalFormat, width, height, depth, layers, flags) end => [ :void, :GLenum, :GLenum, :GLsizei, :GLsizei, :GLsizei, :GLsizei, :GLbitfield ].freeze,
    def glTextureStorageSparseAMD(texture, target, internalFormat, width, height, depth, layers, flags) end => [ :void, :GLuint, :GLenum, :GLenum, :GLsizei, :GLsizei, :GLsizei, :GLsizei, :GLbitfield ].freeze,
  }.freeze
end