module GL_AMD_vertex_shader_tessellator
  module Constants
    SAMPLER_BUFFER_AMD              = 0x9001
    INT_SAMPLER_BUFFER_AMD          = 0x9002
    UNSIGNED_INT_SAMPLER_BUFFER_AMD = 0x9003
    TESSELLATION_MODE_AMD           = 0x9004
    TESSELLATION_FACTOR_AMD         = 0x9005
    DISCRETE_AMD                    = 0x9006
    CONTINUOUS_AMD                  = 0x9007
  end
  
  Functions = {
    def glTessellationFactorAMD(factor) end => [ :void, :GLfloat ].freeze,
    def glTessellationModeAMD(mode) end => [ :void, :GLenum ].freeze,
  }.freeze
end