module GL_APPLE_element_array
  module Constants
    ELEMENT_ARRAY_APPLE         = 0x8A0C
    ELEMENT_ARRAY_TYPE_APPLE    = 0x8A0D
    ELEMENT_ARRAY_POINTER_APPLE = 0x8A0E
  end
  
  Functions = {
    def glElementPointerAPPLE(type, pointer) end => [ :void, :GLenum, :pointer ].freeze,
    def glDrawElementArrayAPPLE(mode, first, count) end => [ :void, :GLenum, :GLint, :GLsizei ].freeze,
    def glDrawRangeElementArrayAPPLE(mode, start, end_, first, count) end => [ :void, :GLenum, :GLuint, :GLuint, :GLint, :GLsizei ].freeze,
    def glMultiDrawElementArrayAPPLE(mode, first, count, primcount) end => [ :void, :GLenum, :pointer, :pointer, :GLsizei ].freeze,
    def glMultiDrawRangeElementArrayAPPLE(mode, start, end_, first, count, primcount) end => [ :void, :GLenum, :GLuint, :GLuint, :pointer, :pointer, :GLsizei ].freeze,
  }.freeze
end