module GL_APPLE_framebuffer_multisample
  module Constants
    RENDERBUFFER_SAMPLES_APPLE               = 0x8CAB
    FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE = 0x8D56
    MAX_SAMPLES_APPLE                        = 0x8D57
    READ_FRAMEBUFFER_APPLE                   = 0x8CA8
    DRAW_FRAMEBUFFER_APPLE                   = 0x8CA9
    DRAW_FRAMEBUFFER_BINDING_APPLE           = 0x8CA6
    READ_FRAMEBUFFER_BINDING_APPLE           = 0x8CAA
  end
  
  Functions = {
    def glRenderbufferStorageMultisampleAPPLE(target, samples, internalformat, width, height) end => [ :void, :GLenum, :GLsizei, :GLenum, :GLsizei, :GLsizei ].freeze,
    def glResolveMultisampleFramebufferAPPLE() end => [ :void ].freeze,
  }.freeze
end