module GL_APPLE_object_purgeable
  module Constants
    BUFFER_OBJECT_APPLE = 0x85B3
    RELEASED_APPLE      = 0x8A19
    VOLATILE_APPLE      = 0x8A1A
    RETAINED_APPLE      = 0x8A1B
    UNDEFINED_APPLE     = 0x8A1C
    PURGEABLE_APPLE     = 0x8A1D
  end
  
  Functions = {
    def glObjectPurgeableAPPLE(objectType, name, option) end => [ :GLenum, :GLenum, :GLuint, :GLenum ].freeze,
    def glObjectUnpurgeableAPPLE(objectType, name, option) end => [ :GLenum, :GLenum, :GLuint, :GLenum ].freeze,
    def glGetObjectParameterivAPPLE(objectType, name, pname, params) end => [ :void, :GLenum, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end