module GL_APPLE_vertex_array_range
  module Constants
    VERTEX_ARRAY_RANGE_APPLE         = 0x851D
    VERTEX_ARRAY_RANGE_LENGTH_APPLE  = 0x851E
    VERTEX_ARRAY_STORAGE_HINT_APPLE  = 0x851F
    VERTEX_ARRAY_RANGE_POINTER_APPLE = 0x8521
    STORAGE_CLIENT_APPLE             = 0x85B4
    STORAGE_CACHED_APPLE             = 0x85BE
    STORAGE_SHARED_APPLE             = 0x85BF
  end
  
  Functions = {
    def glVertexArrayRangeAPPLE(length, pointer) end => [ :void, :GLsizei, :pointer ].freeze,
    def glFlushVertexArrayRangeAPPLE(length, pointer) end => [ :void, :GLsizei, :pointer ].freeze,
    def glVertexArrayParameteriAPPLE(pname, param) end => [ :void, :GLenum, :GLint ].freeze,
  }.freeze
end