module GL_ARB_blend_func_extended
  module Constants
    SRC1_COLOR                   = 0x88F9
    SRC1_ALPHA                   = 0x8589
    ONE_MINUS_SRC1_COLOR         = 0x88FA
    ONE_MINUS_SRC1_ALPHA         = 0x88FB
    MAX_DUAL_SOURCE_DRAW_BUFFERS = 0x88FC
  end
  
  Functions = {
    def glBindFragDataLocationIndexed(program, colorNumber, index, name) end => [ :void, :GLuint, :GLuint, :GLuint, :string ].freeze,
    def glGetFragDataIndex(program, name) end => [ :GLint, :GLuint, :string ].freeze,
  }.freeze
end