module GL_ARB_get_program_binary
  module Constants
    PROGRAM_BINARY_RETRIEVABLE_HINT = 0x8257
    PROGRAM_BINARY_LENGTH           = 0x8741
    NUM_PROGRAM_BINARY_FORMATS      = 0x87FE
    PROGRAM_BINARY_FORMATS          = 0x87FF
  end
  
  Functions = {
    def glGetProgramBinary(program, bufSize, length, binaryFormat, binary) end => [ :void, :GLuint, :GLsizei, :pointer, :pointer, :pointer ].freeze,
    def glProgramBinary(program, binaryFormat, binary, length) end => [ :void, :GLuint, :GLenum, :pointer, :GLsizei ].freeze,
    def glProgramParameteri(program, pname, value) end => [ :void, :GLuint, :GLenum, :GLint ].freeze,
  }.freeze
end