module GL_ARB_indirect_parameters
  module Constants
    PARAMETER_BUFFER_ARB         = 0x80EE
    PARAMETER_BUFFER_BINDING_ARB = 0x80EF
  end
  
  Functions = {
    def glMultiDrawArraysIndirectCountARB(mode, indirect, drawcount, maxdrawcount, stride) end => [ :void, :GLenum, :pointer, :GLintptr, :GLsizei, :GLsizei ].freeze,
    def glMultiDrawElementsIndirectCountARB(mode, type, indirect, drawcount, maxdrawcount, stride) end => [ :void, :GLenum, :GLenum, :pointer, :GLintptr, :GLsizei, :GLsizei ].freeze,
  }.freeze
end