module GL_ARB_map_buffer_range
  module Constants
    MAP_READ_BIT              = 0x0001
    MAP_WRITE_BIT             = 0x0002
    MAP_INVALIDATE_RANGE_BIT  = 0x0004
    MAP_INVALIDATE_BUFFER_BIT = 0x0008
    MAP_FLUSH_EXPLICIT_BIT    = 0x0010
    MAP_UNSYNCHRONIZED_BIT    = 0x0020
  end
  
  Functions = {
    def glMapBufferRange(target, offset, length, access) end => [ :pointer, :GLenum, :GLintptr, :GLsizeiptr, :GLbitfield ].freeze,
    def glFlushMappedBufferRange(target, offset, length) end => [ :void, :GLenum, :GLintptr, :GLsizeiptr ].freeze,
  }.freeze
end