module GL_ARB_point_parameters
  module Constants
    POINT_SIZE_MIN_ARB             = 0x8126
    POINT_SIZE_MAX_ARB             = 0x8127
    POINT_FADE_THRESHOLD_SIZE_ARB  = 0x8128
    POINT_DISTANCE_ATTENUATION_ARB = 0x8129
  end
  
  Functions = {
    def glPointParameterfARB(pname, param) end => [ :void, :GLenum, :GLfloat ].freeze,
    def glPointParameterfvARB(pname, params) end => [ :void, :GLenum, :pointer ].freeze,
  }.freeze
end