module GL_ARB_sample_locations
  module Constants
    SAMPLE_LOCATION_SUBPIXEL_BITS_ARB             = 0x933D
    SAMPLE_LOCATION_PIXEL_GRID_WIDTH_ARB          = 0x933E
    SAMPLE_LOCATION_PIXEL_GRID_HEIGHT_ARB         = 0x933F
    PROGRAMMABLE_SAMPLE_LOCATION_TABLE_SIZE_ARB   = 0x9340
    SAMPLE_LOCATION_ARB                           = 0x8E50
    PROGRAMMABLE_SAMPLE_LOCATION_ARB              = 0x9341
    FRAMEBUFFER_PROGRAMMABLE_SAMPLE_LOCATIONS_ARB = 0x9342
    FRAMEBUFFER_SAMPLE_LOCATION_PIXEL_GRID_ARB    = 0x9343
  end
  
  Functions = {
    def glFramebufferSampleLocationsfvARB(target, start, count, v) end => [ :void, :GLenum, :GLuint, :GLsizei, :pointer ].freeze,
    def glNamedFramebufferSampleLocationsfvARB(framebuffer, start, count, v) end => [ :void, :GLuint, :GLuint, :GLsizei, :pointer ].freeze,
    def glEvaluateDepthValuesARB() end => [ :void ].freeze,
  }.freeze
end