module GL_ARB_sampler_objects
  module Constants
    SAMPLER_BINDING = 0x8919
  end
  
  Functions = {
    def glGenSamplers(count, samplers) end => [ :void, :GLsizei, :pointer ].freeze,
    def glDeleteSamplers(count, samplers) end => [ :void, :GLsizei, :pointer ].freeze,
    def glIsSampler(sampler) end => [ :GLboolean, :GLuint ].freeze,
    def glBindSampler(unit, sampler) end => [ :void, :GLuint, :GLuint ].freeze,
    def glSamplerParameteri(sampler, pname, param) end => [ :void, :GLuint, :GLenum, :GLint ].freeze,
    def glSamplerParameteriv(sampler, pname, param) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glSamplerParameterf(sampler, pname, param) end => [ :void, :GLuint, :GLenum, :GLfloat ].freeze,
    def glSamplerParameterfv(sampler, pname, param) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glSamplerParameterIiv(sampler, pname, param) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glSamplerParameterIuiv(sampler, pname, param) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetSamplerParameteriv(sampler, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetSamplerParameterIiv(sampler, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetSamplerParameterfv(sampler, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetSamplerParameterIuiv(sampler, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end