module GL_ARB_transform_feedback2
  module Constants
    TRANSFORM_FEEDBACK               = 0x8E22
    TRANSFORM_FEEDBACK_BUFFER_PAUSED = 0x8E23
    TRANSFORM_FEEDBACK_BUFFER_ACTIVE = 0x8E24
    TRANSFORM_FEEDBACK_BINDING       = 0x8E25
  end
  
  Functions = {
    def glBindTransformFeedback(target, id) end => [ :void, :GLenum, :GLuint ].freeze,
    def glDeleteTransformFeedbacks(n, ids) end => [ :void, :GLsizei, :pointer ].freeze,
    def glGenTransformFeedbacks(n, ids) end => [ :void, :GLsizei, :pointer ].freeze,
    def glIsTransformFeedback(id) end => [ :GLboolean, :GLuint ].freeze,
    def glPauseTransformFeedback() end => [ :void ].freeze,
    def glResumeTransformFeedback() end => [ :void ].freeze,
    def glDrawTransformFeedback(mode, id) end => [ :void, :GLenum, :GLuint ].freeze,
  }.freeze
end