module GL_ARB_transform_feedback3
  module Constants
    MAX_TRANSFORM_FEEDBACK_BUFFERS = 0x8E70
    MAX_VERTEX_STREAMS             = 0x8E71
  end
  
  Functions = {
    def glDrawTransformFeedbackStream(mode, id, stream) end => [ :void, :GLenum, :GLuint, :GLuint ].freeze,
    def glBeginQueryIndexed(target, index, id) end => [ :void, :GLenum, :GLuint, :GLuint ].freeze,
    def glEndQueryIndexed(target, index) end => [ :void, :GLenum, :GLuint ].freeze,
    def glGetQueryIndexediv(target, index, pname, params) end => [ :void, :GLenum, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end