module GL_ARB_transpose_matrix
  module Constants
    TRANSPOSE_MODELVIEW_MATRIX_ARB  = 0x84E3
    TRANSPOSE_PROJECTION_MATRIX_ARB = 0x84E4
    TRANSPOSE_TEXTURE_MATRIX_ARB    = 0x84E5
    TRANSPOSE_COLOR_MATRIX_ARB      = 0x84E6
  end
  
  Functions = {
    def glLoadTransposeMatrixfARB(m) end => [ :void, :pointer ].freeze,
    def glLoadTransposeMatrixdARB(m) end => [ :void, :pointer ].freeze,
    def glMultTransposeMatrixfARB(m) end => [ :void, :pointer ].freeze,
    def glMultTransposeMatrixdARB(m) end => [ :void, :pointer ].freeze,
  }.freeze
end