module GL_ARB_vertex_array_object
  module Constants
    VERTEX_ARRAY_BINDING = 0x85B5
  end
  
  Functions = {
    def glBindVertexArray(array) end => [ :void, :GLuint ].freeze,
    def glDeleteVertexArrays(n, arrays) end => [ :void, :GLsizei, :pointer ].freeze,
    def glGenVertexArrays(n, arrays) end => [ :void, :GLsizei, :pointer ].freeze,
    def glIsVertexArray(array) end => [ :GLboolean, :GLuint ].freeze,
  }.freeze
end