module GL_ARB_vertex_type_2_10_10_10_rev
  module Constants
    UNSIGNED_INT_2_10_10_10_REV = 0x8368
    INT_2_10_10_10_REV          = 0x8D9F
  end
  
  Functions = {
    def glVertexAttribP1ui(index, type, normalized, value) end => [ :void, :GLuint, :GLenum, :GLboolean, :GLuint ].freeze,
    def glVertexAttribP1uiv(index, type, normalized, value) end => [ :void, :GLuint, :GLenum, :GLboolean, :pointer ].freeze,
    def glVertexAttribP2ui(index, type, normalized, value) end => [ :void, :GLuint, :GLenum, :GLboolean, :GLuint ].freeze,
    def glVertexAttribP2uiv(index, type, normalized, value) end => [ :void, :GLuint, :GLenum, :GLboolean, :pointer ].freeze,
    def glVertexAttribP3ui(index, type, normalized, value) end => [ :void, :GLuint, :GLenum, :GLboolean, :GLuint ].freeze,
    def glVertexAttribP3uiv(index, type, normalized, value) end => [ :void, :GLuint, :GLenum, :GLboolean, :pointer ].freeze,
    def glVertexAttribP4ui(index, type, normalized, value) end => [ :void, :GLuint, :GLenum, :GLboolean, :GLuint ].freeze,
    def glVertexAttribP4uiv(index, type, normalized, value) end => [ :void, :GLuint, :GLenum, :GLboolean, :pointer ].freeze,
    def glVertexP2ui(type, value) end => [ :void, :GLenum, :GLuint ].freeze,
    def glVertexP2uiv(type, value) end => [ :void, :GLenum, :pointer ].freeze,
    def glVertexP3ui(type, value) end => [ :void, :GLenum, :GLuint ].freeze,
    def glVertexP3uiv(type, value) end => [ :void, :GLenum, :pointer ].freeze,
    def glVertexP4ui(type, value) end => [ :void, :GLenum, :GLuint ].freeze,
    def glVertexP4uiv(type, value) end => [ :void, :GLenum, :pointer ].freeze,
    def glTexCoordP1ui(type, coords) end => [ :void, :GLenum, :GLuint ].freeze,
    def glTexCoordP1uiv(type, coords) end => [ :void, :GLenum, :pointer ].freeze,
    def glTexCoordP2ui(type, coords) end => [ :void, :GLenum, :GLuint ].freeze,
    def glTexCoordP2uiv(type, coords) end => [ :void, :GLenum, :pointer ].freeze,
    def glTexCoordP3ui(type, coords) end => [ :void, :GLenum, :GLuint ].freeze,
    def glTexCoordP3uiv(type, coords) end => [ :void, :GLenum, :pointer ].freeze,
    def glTexCoordP4ui(type, coords) end => [ :void, :GLenum, :GLuint ].freeze,
    def glTexCoordP4uiv(type, coords) end => [ :void, :GLenum, :pointer ].freeze,
    def glMultiTexCoordP1ui(texture, type, coords) end => [ :void, :GLenum, :GLenum, :GLuint ].freeze,
    def glMultiTexCoordP1uiv(texture, type, coords) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glMultiTexCoordP2ui(texture, type, coords) end => [ :void, :GLenum, :GLenum, :GLuint ].freeze,
    def glMultiTexCoordP2uiv(texture, type, coords) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glMultiTexCoordP3ui(texture, type, coords) end => [ :void, :GLenum, :GLenum, :GLuint ].freeze,
    def glMultiTexCoordP3uiv(texture, type, coords) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glMultiTexCoordP4ui(texture, type, coords) end => [ :void, :GLenum, :GLenum, :GLuint ].freeze,
    def glMultiTexCoordP4uiv(texture, type, coords) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glNormalP3ui(type, coords) end => [ :void, :GLenum, :GLuint ].freeze,
    def glNormalP3uiv(type, coords) end => [ :void, :GLenum, :pointer ].freeze,
    def glColorP3ui(type, color) end => [ :void, :GLenum, :GLuint ].freeze,
    def glColorP3uiv(type, color) end => [ :void, :GLenum, :pointer ].freeze,
    def glColorP4ui(type, color) end => [ :void, :GLenum, :GLuint ].freeze,
    def glColorP4uiv(type, color) end => [ :void, :GLenum, :pointer ].freeze,
    def glSecondaryColorP3ui(type, color) end => [ :void, :GLenum, :GLuint ].freeze,
    def glSecondaryColorP3uiv(type, color) end => [ :void, :GLenum, :pointer ].freeze,
  }.freeze
end