module GL_EXT_buffer_storage
  module Constants
    MAP_READ_BIT                         = 0x0001
    MAP_WRITE_BIT                        = 0x0002
    MAP_PERSISTENT_BIT_EXT               = 0x0040
    MAP_COHERENT_BIT_EXT                 = 0x0080
    DYNAMIC_STORAGE_BIT_EXT              = 0x0100
    CLIENT_STORAGE_BIT_EXT               = 0x0200
    CLIENT_MAPPED_BUFFER_BARRIER_BIT_EXT = 0x00004000
    BUFFER_IMMUTABLE_STORAGE_EXT         = 0x821F
    BUFFER_STORAGE_FLAGS_EXT             = 0x8220
  end
  
  Functions = {
    def glBufferStorageEXT(target, size, data, flags) end => [ :void, :GLenum, :GLsizeiptr, :pointer, :GLbitfield ].freeze,
  }.freeze
end