module GL_EXT_fog_coord
  module Constants
    FOG_COORDINATE_SOURCE_EXT        = 0x8450
    FOG_COORDINATE_EXT               = 0x8451
    FRAGMENT_DEPTH_EXT               = 0x8452
    CURRENT_FOG_COORDINATE_EXT       = 0x8453
    FOG_COORDINATE_ARRAY_TYPE_EXT    = 0x8454
    FOG_COORDINATE_ARRAY_STRIDE_EXT  = 0x8455
    FOG_COORDINATE_ARRAY_POINTER_EXT = 0x8456
    FOG_COORDINATE_ARRAY_EXT         = 0x8457
  end
  
  Functions = {
    def glFogCoordfEXT(coord) end => [ :void, :GLfloat ].freeze,
    def glFogCoordfvEXT(coord) end => [ :void, :pointer ].freeze,
    def glFogCoorddEXT(coord) end => [ :void, :GLdouble ].freeze,
    def glFogCoorddvEXT(coord) end => [ :void, :pointer ].freeze,
    def glFogCoordPointerEXT(type, stride, pointer) end => [ :void, :GLenum, :GLsizei, :pointer ].freeze,
  }.freeze
end