module GL_EXT_geometry_shader4
  module Constants
    GEOMETRY_SHADER_EXT                      = 0x8DD9
    GEOMETRY_VERTICES_OUT_EXT                = 0x8DDA
    GEOMETRY_INPUT_TYPE_EXT                  = 0x8DDB
    GEOMETRY_OUTPUT_TYPE_EXT                 = 0x8DDC
    MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT     = 0x8C29
    MAX_GEOMETRY_VARYING_COMPONENTS_EXT      = 0x8DDD
    MAX_VERTEX_VARYING_COMPONENTS_EXT        = 0x8DDE
    MAX_VARYING_COMPONENTS_EXT               = 0x8B4B
    MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT      = 0x8DDF
    MAX_GEOMETRY_OUTPUT_VERTICES_EXT         = 0x8DE0
    MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT = 0x8DE1
    LINES_ADJACENCY_EXT                      = 0x000A
    LINE_STRIP_ADJACENCY_EXT                 = 0x000B
    TRIANGLES_ADJACENCY_EXT                  = 0x000C
    TRIANGLE_STRIP_ADJACENCY_EXT             = 0x000D
    FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT = 0x8DA8
    FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_EXT   = 0x8DA9
    FRAMEBUFFER_ATTACHMENT_LAYERED_EXT       = 0x8DA7
    FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT = 0x8CD4
    PROGRAM_POINT_SIZE_EXT                   = 0x8642
  end
  
  Functions = {
    def glProgramParameteriEXT(program, pname, value) end => [ :void, :GLuint, :GLenum, :GLint ].freeze,
  }.freeze
end