module GL_EXT_map_buffer_range
  module Constants
    MAP_READ_BIT_EXT              = 0x0001
    MAP_WRITE_BIT_EXT             = 0x0002
    MAP_INVALIDATE_RANGE_BIT_EXT  = 0x0004
    MAP_INVALIDATE_BUFFER_BIT_EXT = 0x0008
    MAP_FLUSH_EXPLICIT_BIT_EXT    = 0x0010
    MAP_UNSYNCHRONIZED_BIT_EXT    = 0x0020
  end
  
  Functions = {
    def glMapBufferRangeEXT(target, offset, length, access) end => [ :pointer, :GLenum, :GLintptr, :GLsizeiptr, :GLbitfield ].freeze,
    def glFlushMappedBufferRangeEXT(target, offset, length) end => [ :void, :GLenum, :GLintptr, :GLsizeiptr ].freeze,
  }.freeze
end