module GL_EXT_memory_object_win32
  module Constants
    HANDLE_TYPE_OPAQUE_WIN32_EXT     = 0x9587
    HANDLE_TYPE_OPAQUE_WIN32_KMT_EXT = 0x9588
    DEVICE_LUID_EXT                  = 0x9599
    DEVICE_NODE_MASK_EXT             = 0x959A
    LUID_SIZE_EXT                    = 8
    HANDLE_TYPE_D3D12_TILEPOOL_EXT   = 0x9589
    HANDLE_TYPE_D3D12_RESOURCE_EXT   = 0x958A
    HANDLE_TYPE_D3D11_IMAGE_EXT      = 0x958B
    HANDLE_TYPE_D3D11_IMAGE_KMT_EXT  = 0x958C
  end
  
  Functions = {
    def glImportMemoryWin32HandleEXT(memory, size, handleType, handle) end => [ :void, :GLuint, :GLuint64, :GLenum, :pointer ].freeze,
    def glImportMemoryWin32NameEXT(memory, size, handleType, name) end => [ :void, :GLuint, :GLuint64, :GLenum, :pointer ].freeze,
  }.freeze
end