module GL_EXT_multiview_draw_buffers
  module Constants
    COLOR_ATTACHMENT_EXT      = 0x90F0
    MULTIVIEW_EXT             = 0x90F1
    DRAW_BUFFER_EXT           = 0x0C01
    READ_BUFFER_EXT           = 0x0C02
    MAX_MULTIVIEW_BUFFERS_EXT = 0x90F2
  end
  
  Functions = {
    def glReadBufferIndexedEXT(src, index) end => [ :void, :GLenum, :GLint ].freeze,
    def glDrawBuffersIndexedEXT(n, location, indices) end => [ :void, :GLint, :pointer, :pointer ].freeze,
    def glGetIntegeri_vEXT(target, index, data) end => [ :void, :GLenum, :GLuint, :pointer ].freeze,
  }.freeze
end