module GL_EXT_pixel_transform
  module Constants
    PIXEL_TRANSFORM_2D_EXT                 = 0x8330
    PIXEL_MAG_FILTER_EXT                   = 0x8331
    PIXEL_MIN_FILTER_EXT                   = 0x8332
    PIXEL_CUBIC_WEIGHT_EXT                 = 0x8333
    CUBIC_EXT                              = 0x8334
    AVERAGE_EXT                            = 0x8335
    PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT     = 0x8336
    MAX_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT = 0x8337
    PIXEL_TRANSFORM_2D_MATRIX_EXT          = 0x8338
  end
  
  Functions = {
    def glPixelTransformParameteriEXT(target, pname, param) end => [ :void, :GLenum, :GLenum, :GLint ].freeze,
    def glPixelTransformParameterfEXT(target, pname, param) end => [ :void, :GLenum, :GLenum, :GLfloat ].freeze,
    def glPixelTransformParameterivEXT(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glPixelTransformParameterfvEXT(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glGetPixelTransformParameterivEXT(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glGetPixelTransformParameterfvEXT(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
  }.freeze
end