module GL_EXT_raster_multisample
  module Constants
    RASTER_MULTISAMPLE_EXT                = 0x9327
    RASTER_SAMPLES_EXT                    = 0x9328
    MAX_RASTER_SAMPLES_EXT                = 0x9329
    RASTER_FIXED_SAMPLE_LOCATIONS_EXT     = 0x932A
    MULTISAMPLE_RASTERIZATION_ALLOWED_EXT = 0x932B
    EFFECTIVE_RASTER_SAMPLES_EXT          = 0x932C
  end
  
  Functions = {
    def glRasterSamplesEXT(samples, fixedsamplelocations) end => [ :void, :GLuint, :GLboolean ].freeze,
  }.freeze
end