module GL_EXT_semaphore_win32
  module Constants
    HANDLE_TYPE_OPAQUE_WIN32_EXT     = 0x9587
    HANDLE_TYPE_OPAQUE_WIN32_KMT_EXT = 0x9588
    DEVICE_LUID_EXT                  = 0x9599
    DEVICE_NODE_MASK_EXT             = 0x959A
    LUID_SIZE_EXT                    = 8
    HANDLE_TYPE_D3D12_FENCE_EXT      = 0x9594
    D3D12_FENCE_VALUE_EXT            = 0x9595
  end
  
  Functions = {
    def glImportSemaphoreWin32HandleEXT(semaphore, handleType, handle) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glImportSemaphoreWin32NameEXT(semaphore, handleType, name) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end