module GL_EXT_tessellation_shader
  module Constants
    PATCHES_EXT                                         = 0x000E
    PATCH_VERTICES_EXT                                  = 0x8E72
    TESS_CONTROL_OUTPUT_VERTICES_EXT                    = 0x8E75
    TESS_GEN_MODE_EXT                                   = 0x8E76
    TESS_GEN_SPACING_EXT                                = 0x8E77
    TESS_GEN_VERTEX_ORDER_EXT                           = 0x8E78
    TESS_GEN_POINT_MODE_EXT                             = 0x8E79
    TRIANGLES                                           = 0x0004
    ISOLINES_EXT                                        = 0x8E7A
    QUADS_EXT                                           = 0x0007
    EQUAL                                               = 0x0202
    FRACTIONAL_ODD_EXT                                  = 0x8E7B
    FRACTIONAL_EVEN_EXT                                 = 0x8E7C
    CCW                                                 = 0x0901
    CW                                                  = 0x0900
    MAX_PATCH_VERTICES_EXT                              = 0x8E7D
    MAX_TESS_GEN_LEVEL_EXT                              = 0x8E7E
    MAX_TESS_CONTROL_UNIFORM_COMPONENTS_EXT             = 0x8E7F
    MAX_TESS_EVALUATION_UNIFORM_COMPONENTS_EXT          = 0x8E80
    MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS_EXT            = 0x8E81
    MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS_EXT         = 0x8E82
    MAX_TESS_CONTROL_OUTPUT_COMPONENTS_EXT              = 0x8E83
    MAX_TESS_PATCH_COMPONENTS_EXT                       = 0x8E84
    MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS_EXT        = 0x8E85
    MAX_TESS_EVALUATION_OUTPUT_COMPONENTS_EXT           = 0x8E86
    MAX_TESS_CONTROL_UNIFORM_BLOCKS_EXT                 = 0x8E89
    MAX_TESS_EVALUATION_UNIFORM_BLOCKS_EXT              = 0x8E8A
    MAX_TESS_CONTROL_INPUT_COMPONENTS_EXT               = 0x886C
    MAX_TESS_EVALUATION_INPUT_COMPONENTS_EXT            = 0x886D
    MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS_EXT    = 0x8E1E
    MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS_EXT = 0x8E1F
    MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS_EXT         = 0x92CD
    MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS_EXT      = 0x92CE
    MAX_TESS_CONTROL_ATOMIC_COUNTERS_EXT                = 0x92D3
    MAX_TESS_EVALUATION_ATOMIC_COUNTERS_EXT             = 0x92D4
    MAX_TESS_CONTROL_IMAGE_UNIFORMS_EXT                 = 0x90CB
    MAX_TESS_EVALUATION_IMAGE_UNIFORMS_EXT              = 0x90CC
    MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS_EXT          = 0x90D8
    MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS_EXT       = 0x90D9
    PRIMITIVE_RESTART_FOR_PATCHES_SUPPORTED             = 0x8221
    IS_PER_PATCH_EXT                                    = 0x92E7
    REFERENCED_BY_TESS_CONTROL_SHADER_EXT               = 0x9307
    REFERENCED_BY_TESS_EVALUATION_SHADER_EXT            = 0x9308
    TESS_CONTROL_SHADER_EXT                             = 0x8E88
    TESS_EVALUATION_SHADER_EXT                          = 0x8E87
    TESS_CONTROL_SHADER_BIT_EXT                         = 0x00000008
    TESS_EVALUATION_SHADER_BIT_EXT                      = 0x00000010
  end
  
  Functions = {
    def glPatchParameteriEXT(pname, value) end => [ :void, :GLenum, :GLint ].freeze,
  }.freeze
end