module GL_EXT_texture3D
  module Constants
    PACK_SKIP_IMAGES_EXT    = 0x806B
    PACK_IMAGE_HEIGHT_EXT   = 0x806C
    UNPACK_SKIP_IMAGES_EXT  = 0x806D
    UNPACK_IMAGE_HEIGHT_EXT = 0x806E
    TEXTURE_3D_EXT          = 0x806F
    PROXY_TEXTURE_3D_EXT    = 0x8070
    TEXTURE_DEPTH_EXT       = 0x8071
    TEXTURE_WRAP_R_EXT      = 0x8072
    MAX_3D_TEXTURE_SIZE_EXT = 0x8073
  end
  
  Functions = {
    def glTexImage3DEXT(target, level, internalformat, width, height, depth, border, format, type, pixels) end => [ :void, :GLenum, :GLint, :GLenum, :GLsizei, :GLsizei, :GLsizei, :GLint, :GLenum, :GLenum, :pointer ].freeze,
    def glTexSubImage3DEXT(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels) end => [ :void, :GLenum, :GLint, :GLint, :GLint, :GLint, :GLsizei, :GLsizei, :GLsizei, :GLenum, :GLenum, :pointer ].freeze,
  }.freeze
end