module GL_EXT_texture_border_clamp
  module Constants
    TEXTURE_BORDER_COLOR_EXT = 0x1004
    CLAMP_TO_BORDER_EXT      = 0x812D
  end
  
  Functions = {
    def glTexParameterIivEXT(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glTexParameterIuivEXT(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glGetTexParameterIivEXT(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glGetTexParameterIuivEXT(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glSamplerParameterIivEXT(sampler, pname, param) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glSamplerParameterIuivEXT(sampler, pname, param) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetSamplerParameterIivEXT(sampler, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetSamplerParameterIuivEXT(sampler, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end