module GL_HP_image_transform
  module Constants
    IMAGE_SCALE_X_HP                          = 0x8155
    IMAGE_SCALE_Y_HP                          = 0x8156
    IMAGE_TRANSLATE_X_HP                      = 0x8157
    IMAGE_TRANSLATE_Y_HP                      = 0x8158
    IMAGE_ROTATE_ANGLE_HP                     = 0x8159
    IMAGE_ROTATE_ORIGIN_X_HP                  = 0x815A
    IMAGE_ROTATE_ORIGIN_Y_HP                  = 0x815B
    IMAGE_MAG_FILTER_HP                       = 0x815C
    IMAGE_MIN_FILTER_HP                       = 0x815D
    IMAGE_CUBIC_WEIGHT_HP                     = 0x815E
    CUBIC_HP                                  = 0x815F
    AVERAGE_HP                                = 0x8160
    IMAGE_TRANSFORM_2D_HP                     = 0x8161
    POST_IMAGE_TRANSFORM_COLOR_TABLE_HP       = 0x8162
    PROXY_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP = 0x8163
  end
  
  Functions = {
    def glImageTransformParameteriHP(target, pname, param) end => [ :void, :GLenum, :GLenum, :GLint ].freeze,
    def glImageTransformParameterfHP(target, pname, param) end => [ :void, :GLenum, :GLenum, :GLfloat ].freeze,
    def glImageTransformParameterivHP(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glImageTransformParameterfvHP(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glGetImageTransformParameterivHP(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glGetImageTransformParameterfvHP(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
  }.freeze
end