module GL_MESA_window_pos
  Functions = {
    def glWindowPos2dMESA(x, y) end => [ :void, :GLdouble, :GLdouble ].freeze,
    def glWindowPos2dvMESA(v) end => [ :void, :pointer ].freeze,
    def glWindowPos2fMESA(x, y) end => [ :void, :GLfloat, :GLfloat ].freeze,
    def glWindowPos2fvMESA(v) end => [ :void, :pointer ].freeze,
    def glWindowPos2iMESA(x, y) end => [ :void, :GLint, :GLint ].freeze,
    def glWindowPos2ivMESA(v) end => [ :void, :pointer ].freeze,
    def glWindowPos2sMESA(x, y) end => [ :void, :GLshort, :GLshort ].freeze,
    def glWindowPos2svMESA(v) end => [ :void, :pointer ].freeze,
    def glWindowPos3dMESA(x, y, z) end => [ :void, :GLdouble, :GLdouble, :GLdouble ].freeze,
    def glWindowPos3dvMESA(v) end => [ :void, :pointer ].freeze,
    def glWindowPos3fMESA(x, y, z) end => [ :void, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glWindowPos3fvMESA(v) end => [ :void, :pointer ].freeze,
    def glWindowPos3iMESA(x, y, z) end => [ :void, :GLint, :GLint, :GLint ].freeze,
    def glWindowPos3ivMESA(v) end => [ :void, :pointer ].freeze,
    def glWindowPos3sMESA(x, y, z) end => [ :void, :GLshort, :GLshort, :GLshort ].freeze,
    def glWindowPos3svMESA(v) end => [ :void, :pointer ].freeze,
    def glWindowPos4dMESA(x, y, z, w) end => [ :void, :GLdouble, :GLdouble, :GLdouble, :GLdouble ].freeze,
    def glWindowPos4dvMESA(v) end => [ :void, :pointer ].freeze,
    def glWindowPos4fMESA(x, y, z, w) end => [ :void, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glWindowPos4fvMESA(v) end => [ :void, :pointer ].freeze,
    def glWindowPos4iMESA(x, y, z, w) end => [ :void, :GLint, :GLint, :GLint, :GLint ].freeze,
    def glWindowPos4ivMESA(v) end => [ :void, :pointer ].freeze,
    def glWindowPos4sMESA(x, y, z, w) end => [ :void, :GLshort, :GLshort, :GLshort, :GLshort ].freeze,
    def glWindowPos4svMESA(v) end => [ :void, :pointer ].freeze,
  }.freeze
end