module GL_NVX_linked_gpu_multicast
  module Constants
    LGPU_SEPARATE_STORAGE_BIT_NVX = 0x0800
    MAX_LGPU_GPUS_NVX             = 0x92BA
  end
  
  Functions = {
    def glLGPUNamedBufferSubDataNVX(gpuMask, buffer, offset, size, data) end => [ :void, :GLbitfield, :GLuint, :GLintptr, :GLsizeiptr, :pointer ].freeze,
    def glLGPUCopyImageSubDataNVX(sourceGpu, destinationGpuMask, srcName, srcTarget, srcLevel, srcX, srxY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, width, height, depth) end => [ :void, :GLuint, :GLbitfield, :GLuint, :GLenum, :GLint, :GLint, :GLint, :GLint, :GLuint, :GLenum, :GLint, :GLint, :GLint, :GLint, :GLsizei, :GLsizei, :GLsizei ].freeze,
    def glLGPUInterlockNVX() end => [ :void ].freeze,
  }.freeze
end