module GL_NV_coverage_sample
  module Constants
    COVERAGE_COMPONENT_NV      = 0x8ED0
    COVERAGE_COMPONENT4_NV     = 0x8ED1
    COVERAGE_ATTACHMENT_NV     = 0x8ED2
    COVERAGE_BUFFERS_NV        = 0x8ED3
    COVERAGE_SAMPLES_NV        = 0x8ED4
    COVERAGE_ALL_FRAGMENTS_NV  = 0x8ED5
    COVERAGE_EDGE_FRAGMENTS_NV = 0x8ED6
    COVERAGE_AUTOMATIC_NV      = 0x8ED7
    COVERAGE_BUFFER_BIT_NV     = 0x00008000
  end
  
  Functions = {
    def glCoverageMaskNV(mask) end => [ :void, :GLboolean ].freeze,
    def glCoverageOperationNV(operation) end => [ :void, :GLenum ].freeze,
  }.freeze
end