module GL_NV_depth_buffer_float
  module Constants
    DEPTH_COMPONENT32F_NV             = 0x8DAB
    DEPTH32F_STENCIL8_NV              = 0x8DAC
    FLOAT_32_UNSIGNED_INT_24_8_REV_NV = 0x8DAD
    DEPTH_BUFFER_FLOAT_MODE_NV        = 0x8DAF
  end
  
  Functions = {
    def glDepthRangedNV(zNear, zFar) end => [ :void, :GLdouble, :GLdouble ].freeze,
    def glClearDepthdNV(depth) end => [ :void, :GLdouble ].freeze,
    def glDepthBoundsdNV(zmin, zmax) end => [ :void, :GLdouble, :GLdouble ].freeze,
  }.freeze
end