module GL_NV_occlusion_query
  module Constants
    PIXEL_COUNTER_BITS_NV         = 0x8864
    CURRENT_OCCLUSION_QUERY_ID_NV = 0x8865
    PIXEL_COUNT_NV                = 0x8866
    PIXEL_COUNT_AVAILABLE_NV      = 0x8867
  end
  
  Functions = {
    def glGenOcclusionQueriesNV(n, ids) end => [ :void, :GLsizei, :pointer ].freeze,
    def glDeleteOcclusionQueriesNV(n, ids) end => [ :void, :GLsizei, :pointer ].freeze,
    def glIsOcclusionQueryNV(id) end => [ :GLboolean, :GLuint ].freeze,
    def glBeginOcclusionQueryNV(id) end => [ :void, :GLuint ].freeze,
    def glEndOcclusionQueryNV() end => [ :void ].freeze,
    def glGetOcclusionQueryivNV(id, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetOcclusionQueryuivNV(id, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end