module GL_NV_parameter_buffer_object
  module Constants
    MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV = 0x8DA0
    MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV     = 0x8DA1
    VERTEX_PROGRAM_PARAMETER_BUFFER_NV       = 0x8DA2
    GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV     = 0x8DA3
    FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV     = 0x8DA4
  end
  
  Functions = {
    def glProgramBufferParametersfvNV(target, bindingIndex, wordIndex, count, params) end => [ :void, :GLenum, :GLuint, :GLuint, :GLsizei, :pointer ].freeze,
    def glProgramBufferParametersIivNV(target, bindingIndex, wordIndex, count, params) end => [ :void, :GLenum, :GLuint, :GLuint, :GLsizei, :pointer ].freeze,
    def glProgramBufferParametersIuivNV(target, bindingIndex, wordIndex, count, params) end => [ :void, :GLenum, :GLuint, :GLuint, :GLsizei, :pointer ].freeze,
  }.freeze
end