module GL_NV_pixel_data_range
  module Constants
    WRITE_PIXEL_DATA_RANGE_NV         = 0x8878
    READ_PIXEL_DATA_RANGE_NV          = 0x8879
    WRITE_PIXEL_DATA_RANGE_LENGTH_NV  = 0x887A
    READ_PIXEL_DATA_RANGE_LENGTH_NV   = 0x887B
    WRITE_PIXEL_DATA_RANGE_POINTER_NV = 0x887C
    READ_PIXEL_DATA_RANGE_POINTER_NV  = 0x887D
  end
  
  Functions = {
    def glPixelDataRangeNV(target, length, pointer) end => [ :void, :GLenum, :GLsizei, :pointer ].freeze,
    def glFlushPixelDataRangeNV(target) end => [ :void, :GLenum ].freeze,
  }.freeze
end