module GL_NV_vertex_array_range
  module Constants
    VERTEX_ARRAY_RANGE_NV             = 0x851D
    VERTEX_ARRAY_RANGE_LENGTH_NV      = 0x851E
    VERTEX_ARRAY_RANGE_VALID_NV       = 0x851F
    MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV = 0x8520
    VERTEX_ARRAY_RANGE_POINTER_NV     = 0x8521
  end
  
  Functions = {
    def glFlushVertexArrayRangeNV() end => [ :void ].freeze,
    def glVertexArrayRangeNV(length, pointer) end => [ :void, :GLsizei, :pointer ].freeze,
  }.freeze
end