module GL_NV_vertex_program4
  module Constants
    VERTEX_ATTRIB_ARRAY_INTEGER_NV = 0x88FD
  end
  
  Functions = {
    def glVertexAttribI1iEXT(index, x) end => [ :void, :GLuint, :GLint ].freeze,
    def glVertexAttribI2iEXT(index, x, y) end => [ :void, :GLuint, :GLint, :GLint ].freeze,
    def glVertexAttribI3iEXT(index, x, y, z) end => [ :void, :GLuint, :GLint, :GLint, :GLint ].freeze,
    def glVertexAttribI4iEXT(index, x, y, z, w) end => [ :void, :GLuint, :GLint, :GLint, :GLint, :GLint ].freeze,
    def glVertexAttribI1uiEXT(index, x) end => [ :void, :GLuint, :GLuint ].freeze,
    def glVertexAttribI2uiEXT(index, x, y) end => [ :void, :GLuint, :GLuint, :GLuint ].freeze,
    def glVertexAttribI3uiEXT(index, x, y, z) end => [ :void, :GLuint, :GLuint, :GLuint, :GLuint ].freeze,
    def glVertexAttribI4uiEXT(index, x, y, z, w) end => [ :void, :GLuint, :GLuint, :GLuint, :GLuint, :GLuint ].freeze,
    def glVertexAttribI1ivEXT(index, v) end => [ :void, :GLuint, :pointer ].freeze,
    def glVertexAttribI2ivEXT(index, v) end => [ :void, :GLuint, :pointer ].freeze,
    def glVertexAttribI3ivEXT(index, v) end => [ :void, :GLuint, :pointer ].freeze,
    def glVertexAttribI4ivEXT(index, v) end => [ :void, :GLuint, :pointer ].freeze,
    def glVertexAttribI1uivEXT(index, v) end => [ :void, :GLuint, :pointer ].freeze,
    def glVertexAttribI2uivEXT(index, v) end => [ :void, :GLuint, :pointer ].freeze,
    def glVertexAttribI3uivEXT(index, v) end => [ :void, :GLuint, :pointer ].freeze,
    def glVertexAttribI4uivEXT(index, v) end => [ :void, :GLuint, :pointer ].freeze,
    def glVertexAttribI4bvEXT(index, v) end => [ :void, :GLuint, :pointer ].freeze,
    def glVertexAttribI4svEXT(index, v) end => [ :void, :GLuint, :pointer ].freeze,
    def glVertexAttribI4ubvEXT(index, v) end => [ :void, :GLuint, :pointer ].freeze,
    def glVertexAttribI4usvEXT(index, v) end => [ :void, :GLuint, :pointer ].freeze,
    def glVertexAttribIPointerEXT(index, size, type, stride, pointer) end => [ :void, :GLuint, :GLint, :GLenum, :GLsizei, :pointer ].freeze,
    def glGetVertexAttribIivEXT(index, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetVertexAttribIuivEXT(index, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end