module GL_OES_byte_coordinates
  module Constants
    BYTE = 0x1400
  end
  
  Functions = {
    def glMultiTexCoord1bOES(texture, s) end => [ :void, :GLenum, :GLbyte ].freeze,
    def glMultiTexCoord1bvOES(texture, coords) end => [ :void, :GLenum, :pointer ].freeze,
    def glMultiTexCoord2bOES(texture, s, t) end => [ :void, :GLenum, :GLbyte, :GLbyte ].freeze,
    def glMultiTexCoord2bvOES(texture, coords) end => [ :void, :GLenum, :pointer ].freeze,
    def glMultiTexCoord3bOES(texture, s, t, r) end => [ :void, :GLenum, :GLbyte, :GLbyte, :GLbyte ].freeze,
    def glMultiTexCoord3bvOES(texture, coords) end => [ :void, :GLenum, :pointer ].freeze,
    def glMultiTexCoord4bOES(texture, s, t, r, q) end => [ :void, :GLenum, :GLbyte, :GLbyte, :GLbyte, :GLbyte ].freeze,
    def glMultiTexCoord4bvOES(texture, coords) end => [ :void, :GLenum, :pointer ].freeze,
    def glTexCoord1bOES(s) end => [ :void, :GLbyte ].freeze,
    def glTexCoord1bvOES(coords) end => [ :void, :pointer ].freeze,
    def glTexCoord2bOES(s, t) end => [ :void, :GLbyte, :GLbyte ].freeze,
    def glTexCoord2bvOES(coords) end => [ :void, :pointer ].freeze,
    def glTexCoord3bOES(s, t, r) end => [ :void, :GLbyte, :GLbyte, :GLbyte ].freeze,
    def glTexCoord3bvOES(coords) end => [ :void, :pointer ].freeze,
    def glTexCoord4bOES(s, t, r, q) end => [ :void, :GLbyte, :GLbyte, :GLbyte, :GLbyte ].freeze,
    def glTexCoord4bvOES(coords) end => [ :void, :pointer ].freeze,
    def glVertex2bOES(x, y) end => [ :void, :GLbyte, :GLbyte ].freeze,
    def glVertex2bvOES(coords) end => [ :void, :pointer ].freeze,
    def glVertex3bOES(x, y, z) end => [ :void, :GLbyte, :GLbyte, :GLbyte ].freeze,
    def glVertex3bvOES(coords) end => [ :void, :pointer ].freeze,
    def glVertex4bOES(x, y, z, w) end => [ :void, :GLbyte, :GLbyte, :GLbyte, :GLbyte ].freeze,
    def glVertex4bvOES(coords) end => [ :void, :pointer ].freeze,
  }.freeze
end