module GL_OES_draw_texture
  module Constants
    TEXTURE_CROP_RECT_OES = 0x8B9D
  end
  
  Functions = {
    def glDrawTexsOES(x, y, z, width, height) end => [ :void, :GLshort, :GLshort, :GLshort, :GLshort, :GLshort ].freeze,
    def glDrawTexiOES(x, y, z, width, height) end => [ :void, :GLint, :GLint, :GLint, :GLint, :GLint ].freeze,
    def glDrawTexxOES(x, y, z, width, height) end => [ :void, :GLfixed, :GLfixed, :GLfixed, :GLfixed, :GLfixed ].freeze,
    def glDrawTexsvOES(coords) end => [ :void, :pointer ].freeze,
    def glDrawTexivOES(coords) end => [ :void, :pointer ].freeze,
    def glDrawTexxvOES(coords) end => [ :void, :pointer ].freeze,
    def glDrawTexfOES(x, y, z, width, height) end => [ :void, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glDrawTexfvOES(coords) end => [ :void, :pointer ].freeze,
  }.freeze
end