module GL_OES_geometry_shader
  module Constants
    GEOMETRY_SHADER_OES                          = 0x8DD9
    GEOMETRY_SHADER_BIT_OES                      = 0x00000004
    GEOMETRY_LINKED_VERTICES_OUT_OES             = 0x8916
    GEOMETRY_LINKED_INPUT_TYPE_OES               = 0x8917
    GEOMETRY_LINKED_OUTPUT_TYPE_OES              = 0x8918
    GEOMETRY_SHADER_INVOCATIONS_OES              = 0x887F
    LAYER_PROVOKING_VERTEX_OES                   = 0x825E
    LINES_ADJACENCY_OES                          = 0x000A
    LINE_STRIP_ADJACENCY_OES                     = 0x000B
    TRIANGLES_ADJACENCY_OES                      = 0x000C
    TRIANGLE_STRIP_ADJACENCY_OES                 = 0x000D
    MAX_GEOMETRY_UNIFORM_COMPONENTS_OES          = 0x8DDF
    MAX_GEOMETRY_UNIFORM_BLOCKS_OES              = 0x8A2C
    MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS_OES = 0x8A32
    MAX_GEOMETRY_INPUT_COMPONENTS_OES            = 0x9123
    MAX_GEOMETRY_OUTPUT_COMPONENTS_OES           = 0x9124
    MAX_GEOMETRY_OUTPUT_VERTICES_OES             = 0x8DE0
    MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_OES     = 0x8DE1
    MAX_GEOMETRY_SHADER_INVOCATIONS_OES          = 0x8E5A
    MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_OES         = 0x8C29
    MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS_OES      = 0x92CF
    MAX_GEOMETRY_ATOMIC_COUNTERS_OES             = 0x92D5
    MAX_GEOMETRY_IMAGE_UNIFORMS_OES              = 0x90CD
    MAX_GEOMETRY_SHADER_STORAGE_BLOCKS_OES       = 0x90D7
    FIRST_VERTEX_CONVENTION_OES                  = 0x8E4D
    LAST_VERTEX_CONVENTION_OES                   = 0x8E4E
    UNDEFINED_VERTEX_OES                         = 0x8260
    PRIMITIVES_GENERATED_OES                     = 0x8C87
    FRAMEBUFFER_DEFAULT_LAYERS_OES               = 0x9312
    MAX_FRAMEBUFFER_LAYERS_OES                   = 0x9317
    FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_OES     = 0x8DA8
    FRAMEBUFFER_ATTACHMENT_LAYERED_OES           = 0x8DA7
    REFERENCED_BY_GEOMETRY_SHADER_OES            = 0x9309
  end
  
  Functions = {
    def glFramebufferTextureOES(target, attachment, texture, level) end => [ :void, :GLenum, :GLenum, :GLuint, :GLint ].freeze,
  }.freeze
end