module GL_OES_matrix_palette
  module Constants
    MAX_VERTEX_UNITS_OES                  = 0x86A4
    MAX_PALETTE_MATRICES_OES              = 0x8842
    MATRIX_PALETTE_OES                    = 0x8840
    MATRIX_INDEX_ARRAY_OES                = 0x8844
    WEIGHT_ARRAY_OES                      = 0x86AD
    CURRENT_PALETTE_MATRIX_OES            = 0x8843
    MATRIX_INDEX_ARRAY_SIZE_OES           = 0x8846
    MATRIX_INDEX_ARRAY_TYPE_OES           = 0x8847
    MATRIX_INDEX_ARRAY_STRIDE_OES         = 0x8848
    MATRIX_INDEX_ARRAY_POINTER_OES        = 0x8849
    MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES = 0x8B9E
    WEIGHT_ARRAY_SIZE_OES                 = 0x86AB
    WEIGHT_ARRAY_TYPE_OES                 = 0x86A9
    WEIGHT_ARRAY_STRIDE_OES               = 0x86AA
    WEIGHT_ARRAY_POINTER_OES              = 0x86AC
    WEIGHT_ARRAY_BUFFER_BINDING_OES       = 0x889E
  end
  
  Functions = {
    def glCurrentPaletteMatrixOES(matrixpaletteindex) end => [ :void, :GLuint ].freeze,
    def glLoadPaletteFromModelViewMatrixOES() end => [ :void ].freeze,
    def glMatrixIndexPointerOES(size, type, stride, pointer) end => [ :void, :GLint, :GLenum, :GLsizei, :pointer ].freeze,
    def glWeightPointerOES(size, type, stride, pointer) end => [ :void, :GLint, :GLenum, :GLsizei, :pointer ].freeze,
  }.freeze
end