module GL_OES_texture_3D
  module Constants
    TEXTURE_WRAP_R_OES                            = 0x8072
    TEXTURE_3D_OES                                = 0x806F
    TEXTURE_BINDING_3D_OES                        = 0x806A
    MAX_3D_TEXTURE_SIZE_OES                       = 0x8073
    SAMPLER_3D_OES                                = 0x8B5F
    FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_OES = 0x8CD4
  end
  
  Functions = {
    def glTexImage3DOES(target, level, internalformat, width, height, depth, border, format, type, pixels) end => [ :void, :GLenum, :GLint, :GLenum, :GLsizei, :GLsizei, :GLsizei, :GLint, :GLenum, :GLenum, :pointer ].freeze,
    def glTexSubImage3DOES(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels) end => [ :void, :GLenum, :GLint, :GLint, :GLint, :GLint, :GLsizei, :GLsizei, :GLsizei, :GLenum, :GLenum, :pointer ].freeze,
    def glCopyTexSubImage3DOES(target, level, xoffset, yoffset, zoffset, x, y, width, height) end => [ :void, :GLenum, :GLint, :GLint, :GLint, :GLint, :GLint, :GLint, :GLsizei, :GLsizei ].freeze,
    def glCompressedTexImage3DOES(target, level, internalformat, width, height, depth, border, imageSize, data) end => [ :void, :GLenum, :GLint, :GLenum, :GLsizei, :GLsizei, :GLsizei, :GLint, :GLsizei, :pointer ].freeze,
    def glCompressedTexSubImage3DOES(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data) end => [ :void, :GLenum, :GLint, :GLint, :GLint, :GLint, :GLsizei, :GLsizei, :GLsizei, :GLenum, :GLsizei, :pointer ].freeze,
    def glFramebufferTexture3DOES(target, attachment, textarget, texture, level, zoffset) end => [ :void, :GLenum, :GLenum, :GLenum, :GLuint, :GLint, :GLint ].freeze,
  }.freeze
end