module GL_OES_texture_border_clamp
  module Constants
    TEXTURE_BORDER_COLOR_OES = 0x1004
    CLAMP_TO_BORDER_OES      = 0x812D
  end
  
  Functions = {
    def glTexParameterIivOES(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glTexParameterIuivOES(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glGetTexParameterIivOES(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glGetTexParameterIuivOES(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glSamplerParameterIivOES(sampler, pname, param) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glSamplerParameterIuivOES(sampler, pname, param) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetSamplerParameterIivOES(sampler, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
    def glGetSamplerParameterIuivOES(sampler, pname, params) end => [ :void, :GLuint, :GLenum, :pointer ].freeze,
  }.freeze
end