module GL_OES_texture_buffer
  module Constants
    TEXTURE_BUFFER_OES                    = 0x8C2A
    TEXTURE_BUFFER_BINDING_OES            = 0x8C2A
    MAX_TEXTURE_BUFFER_SIZE_OES           = 0x8C2B
    TEXTURE_BINDING_BUFFER_OES            = 0x8C2C
    TEXTURE_BUFFER_DATA_STORE_BINDING_OES = 0x8C2D
    TEXTURE_BUFFER_OFFSET_ALIGNMENT_OES   = 0x919F
    SAMPLER_BUFFER_OES                    = 0x8DC2
    INT_SAMPLER_BUFFER_OES                = 0x8DD0
    UNSIGNED_INT_SAMPLER_BUFFER_OES       = 0x8DD8
    IMAGE_BUFFER_OES                      = 0x9051
    INT_IMAGE_BUFFER_OES                  = 0x905C
    UNSIGNED_INT_IMAGE_BUFFER_OES         = 0x9067
    TEXTURE_BUFFER_OFFSET_OES             = 0x919D
    TEXTURE_BUFFER_SIZE_OES               = 0x919E
  end
  
  Functions = {
    def glTexBufferOES(target, internalformat, buffer) end => [ :void, :GLenum, :GLenum, :GLuint ].freeze,
    def glTexBufferRangeOES(target, internalformat, buffer, offset, size) end => [ :void, :GLenum, :GLenum, :GLuint, :GLintptr, :GLsizeiptr ].freeze,
  }.freeze
end