module GL_QCOM_texture_foveated
  module Constants
    FOVEATION_ENABLE_BIT_QCOM                    = 0x00000001
    FOVEATION_SCALED_BIN_METHOD_BIT_QCOM         = 0x00000002
    TEXTURE_FOVEATED_FEATURE_BITS_QCOM           = 0x8BFB
    TEXTURE_FOVEATED_MIN_PIXEL_DENSITY_QCOM      = 0x8BFC
    TEXTURE_FOVEATED_FEATURE_QUERY_QCOM          = 0x8BFD
    TEXTURE_FOVEATED_NUM_FOCAL_POINTS_QUERY_QCOM = 0x8BFE
    FRAMEBUFFER_INCOMPLETE_FOVEATION_QCOM        = 0x8BFF
  end
  
  Functions = {
    def glTextureFoveationParametersQCOM(texture, layer, focalPoint, focalX, focalY, gainX, gainY, foveaArea) end => [ :void, :GLuint, :GLuint, :GLuint, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
  }.freeze
end