module GL_SGIS_multisample
  module Constants
    MULTISAMPLE_SGIS          = 0x809D
    SAMPLE_ALPHA_TO_MASK_SGIS = 0x809E
    SAMPLE_ALPHA_TO_ONE_SGIS  = 0x809F
    SAMPLE_MASK_SGIS          = 0x80A0
    N1PASS_SGIS               = 0x80A1
    N2PASS_0_SGIS             = 0x80A2
    N2PASS_1_SGIS             = 0x80A3
    N4PASS_0_SGIS             = 0x80A4
    N4PASS_1_SGIS             = 0x80A5
    N4PASS_2_SGIS             = 0x80A6
    N4PASS_3_SGIS             = 0x80A7
    SAMPLE_BUFFERS_SGIS       = 0x80A8
    SAMPLES_SGIS              = 0x80A9
    SAMPLE_MASK_VALUE_SGIS    = 0x80AA
    SAMPLE_MASK_INVERT_SGIS   = 0x80AB
    SAMPLE_PATTERN_SGIS       = 0x80AC
  end
  
  Functions = {
    def glSampleMaskSGIS(value, invert) end => [ :void, :GLclampf, :GLboolean ].freeze,
    def glSamplePatternSGIS(pattern) end => [ :void, :GLenum ].freeze,
  }.freeze
end