module GL_SGIS_pixel_texture
  module Constants
    PIXEL_TEXTURE_SGIS               = 0x8353
    PIXEL_FRAGMENT_RGB_SOURCE_SGIS   = 0x8354
    PIXEL_FRAGMENT_ALPHA_SOURCE_SGIS = 0x8355
    PIXEL_GROUP_COLOR_SGIS           = 0x8356
  end
  
  Functions = {
    def glPixelTexGenParameteriSGIS(pname, param) end => [ :void, :GLenum, :GLint ].freeze,
    def glPixelTexGenParameterivSGIS(pname, params) end => [ :void, :GLenum, :pointer ].freeze,
    def glPixelTexGenParameterfSGIS(pname, param) end => [ :void, :GLenum, :GLfloat ].freeze,
    def glPixelTexGenParameterfvSGIS(pname, params) end => [ :void, :GLenum, :pointer ].freeze,
    def glGetPixelTexGenParameterivSGIS(pname, params) end => [ :void, :GLenum, :pointer ].freeze,
    def glGetPixelTexGenParameterfvSGIS(pname, params) end => [ :void, :GLenum, :pointer ].freeze,
  }.freeze
end