module GL_SGIX_async
  module Constants
    ASYNC_MARKER_SGIX = 0x8329
  end
  
  Functions = {
    def glAsyncMarkerSGIX(marker) end => [ :void, :GLuint ].freeze,
    def glFinishAsyncSGIX(markerp) end => [ :GLint, :pointer ].freeze,
    def glPollAsyncSGIX(markerp) end => [ :GLint, :pointer ].freeze,
    def glGenAsyncMarkersSGIX(range) end => [ :GLuint, :GLsizei ].freeze,
    def glDeleteAsyncMarkersSGIX(marker, range) end => [ :void, :GLuint, :GLsizei ].freeze,
    def glIsAsyncMarkerSGIX(marker) end => [ :GLboolean, :GLuint ].freeze,
  }.freeze
end