module GL_SGIX_instruments
  module Constants
    INSTRUMENT_BUFFER_POINTER_SGIX = 0x8180
    INSTRUMENT_MEASUREMENTS_SGIX   = 0x8181
  end
  
  Functions = {
    def glGetInstrumentsSGIX() end => [ :GLint ].freeze,
    def glInstrumentsBufferSGIX(size, buffer) end => [ :void, :GLsizei, :pointer ].freeze,
    def glPollInstrumentsSGIX(marker_p) end => [ :GLint, :pointer ].freeze,
    def glReadInstrumentsSGIX(marker) end => [ :void, :GLint ].freeze,
    def glStartInstrumentsSGIX() end => [ :void ].freeze,
    def glStopInstrumentsSGIX(marker) end => [ :void, :GLint ].freeze,
  }.freeze
end