module GL_SGIX_polynomial_ffd
  module Constants
    TEXTURE_DEFORMATION_BIT_SGIX  = 0x00000001
    GEOMETRY_DEFORMATION_BIT_SGIX = 0x00000002
    GEOMETRY_DEFORMATION_SGIX     = 0x8194
    TEXTURE_DEFORMATION_SGIX      = 0x8195
    DEFORMATIONS_MASK_SGIX        = 0x8196
    MAX_DEFORMATION_ORDER_SGIX    = 0x8197
  end
  
  Functions = {
    def glDeformationMap3dSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points) end => [ :void, :GLenum, :GLdouble, :GLdouble, :GLint, :GLint, :GLdouble, :GLdouble, :GLint, :GLint, :GLdouble, :GLdouble, :GLint, :GLint, :pointer ].freeze,
    def glDeformationMap3fSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points) end => [ :void, :GLenum, :GLfloat, :GLfloat, :GLint, :GLint, :GLfloat, :GLfloat, :GLint, :GLint, :GLfloat, :GLfloat, :GLint, :GLint, :pointer ].freeze,
    def glDeformSGIX(mask) end => [ :void, :GLbitfield ].freeze,
    def glLoadIdentityDeformationMapSGIX(mask) end => [ :void, :GLbitfield ].freeze,
  }.freeze
end