module GL_SGI_color_table
  module Constants
    COLOR_TABLE_SGI                         = 0x80D0
    POST_CONVOLUTION_COLOR_TABLE_SGI        = 0x80D1
    POST_COLOR_MATRIX_COLOR_TABLE_SGI       = 0x80D2
    PROXY_COLOR_TABLE_SGI                   = 0x80D3
    PROXY_POST_CONVOLUTION_COLOR_TABLE_SGI  = 0x80D4
    PROXY_POST_COLOR_MATRIX_COLOR_TABLE_SGI = 0x80D5
    COLOR_TABLE_SCALE_SGI                   = 0x80D6
    COLOR_TABLE_BIAS_SGI                    = 0x80D7
    COLOR_TABLE_FORMAT_SGI                  = 0x80D8
    COLOR_TABLE_WIDTH_SGI                   = 0x80D9
    COLOR_TABLE_RED_SIZE_SGI                = 0x80DA
    COLOR_TABLE_GREEN_SIZE_SGI              = 0x80DB
    COLOR_TABLE_BLUE_SIZE_SGI               = 0x80DC
    COLOR_TABLE_ALPHA_SIZE_SGI              = 0x80DD
    COLOR_TABLE_LUMINANCE_SIZE_SGI          = 0x80DE
    COLOR_TABLE_INTENSITY_SIZE_SGI          = 0x80DF
  end
  
  Functions = {
    def glColorTableSGI(target, internalformat, width, format, type, table) end => [ :void, :GLenum, :GLenum, :GLsizei, :GLenum, :GLenum, :pointer ].freeze,
    def glColorTableParameterfvSGI(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glColorTableParameterivSGI(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glCopyColorTableSGI(target, internalformat, x, y, width) end => [ :void, :GLenum, :GLenum, :GLint, :GLint, :GLsizei ].freeze,
    def glGetColorTableSGI(target, format, type, table) end => [ :void, :GLenum, :GLenum, :GLenum, :pointer ].freeze,
    def glGetColorTableParameterfvSGI(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
    def glGetColorTableParameterivSGI(target, pname, params) end => [ :void, :GLenum, :GLenum, :pointer ].freeze,
  }.freeze
end