module GL_SUN_vertex
  Functions = {
    def glColor4ubVertex2fSUN(r, g, b, a, x, y) end => [ :void, :GLubyte, :GLubyte, :GLubyte, :GLubyte, :GLfloat, :GLfloat ].freeze,
    def glColor4ubVertex2fvSUN(c, v) end => [ :void, :pointer, :pointer ].freeze,
    def glColor4ubVertex3fSUN(r, g, b, a, x, y, z) end => [ :void, :GLubyte, :GLubyte, :GLubyte, :GLubyte, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glColor4ubVertex3fvSUN(c, v) end => [ :void, :pointer, :pointer ].freeze,
    def glColor3fVertex3fSUN(r, g, b, x, y, z) end => [ :void, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glColor3fVertex3fvSUN(c, v) end => [ :void, :pointer, :pointer ].freeze,
    def glNormal3fVertex3fSUN(nx, ny, nz, x, y, z) end => [ :void, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glNormal3fVertex3fvSUN(n, v) end => [ :void, :pointer, :pointer ].freeze,
    def glColor4fNormal3fVertex3fSUN(r, g, b, a, nx, ny, nz, x, y, z) end => [ :void, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glColor4fNormal3fVertex3fvSUN(c, n, v) end => [ :void, :pointer, :pointer, :pointer ].freeze,
    def glTexCoord2fVertex3fSUN(s, t, x, y, z) end => [ :void, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glTexCoord2fVertex3fvSUN(tc, v) end => [ :void, :pointer, :pointer ].freeze,
    def glTexCoord4fVertex4fSUN(s, t, p, q, x, y, z, w) end => [ :void, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glTexCoord4fVertex4fvSUN(tc, v) end => [ :void, :pointer, :pointer ].freeze,
    def glTexCoord2fColor4ubVertex3fSUN(s, t, r, g, b, a, x, y, z) end => [ :void, :GLfloat, :GLfloat, :GLubyte, :GLubyte, :GLubyte, :GLubyte, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glTexCoord2fColor4ubVertex3fvSUN(tc, c, v) end => [ :void, :pointer, :pointer, :pointer ].freeze,
    def glTexCoord2fColor3fVertex3fSUN(s, t, r, g, b, x, y, z) end => [ :void, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glTexCoord2fColor3fVertex3fvSUN(tc, c, v) end => [ :void, :pointer, :pointer, :pointer ].freeze,
    def glTexCoord2fNormal3fVertex3fSUN(s, t, nx, ny, nz, x, y, z) end => [ :void, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glTexCoord2fNormal3fVertex3fvSUN(tc, n, v) end => [ :void, :pointer, :pointer, :pointer ].freeze,
    def glTexCoord2fColor4fNormal3fVertex3fSUN(s, t, r, g, b, a, nx, ny, nz, x, y, z) end => [ :void, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glTexCoord2fColor4fNormal3fVertex3fvSUN(tc, c, n, v) end => [ :void, :pointer, :pointer, :pointer, :pointer ].freeze,
    def glTexCoord4fColor4fNormal3fVertex4fSUN(s, t, p, q, r, g, b, a, nx, ny, nz, x, y, z, w) end => [ :void, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glTexCoord4fColor4fNormal3fVertex4fvSUN(tc, c, n, v) end => [ :void, :pointer, :pointer, :pointer, :pointer ].freeze,
    def glReplacementCodeuiVertex3fSUN(rc, x, y, z) end => [ :void, :GLuint, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glReplacementCodeuiVertex3fvSUN(rc, v) end => [ :void, :pointer, :pointer ].freeze,
    def glReplacementCodeuiColor4ubVertex3fSUN(rc, r, g, b, a, x, y, z) end => [ :void, :GLuint, :GLubyte, :GLubyte, :GLubyte, :GLubyte, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glReplacementCodeuiColor4ubVertex3fvSUN(rc, c, v) end => [ :void, :pointer, :pointer, :pointer ].freeze,
    def glReplacementCodeuiColor3fVertex3fSUN(rc, r, g, b, x, y, z) end => [ :void, :GLuint, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glReplacementCodeuiColor3fVertex3fvSUN(rc, c, v) end => [ :void, :pointer, :pointer, :pointer ].freeze,
    def glReplacementCodeuiNormal3fVertex3fSUN(rc, nx, ny, nz, x, y, z) end => [ :void, :GLuint, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glReplacementCodeuiNormal3fVertex3fvSUN(rc, n, v) end => [ :void, :pointer, :pointer, :pointer ].freeze,
    def glReplacementCodeuiColor4fNormal3fVertex3fSUN(rc, r, g, b, a, nx, ny, nz, x, y, z) end => [ :void, :GLuint, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glReplacementCodeuiColor4fNormal3fVertex3fvSUN(rc, c, n, v) end => [ :void, :pointer, :pointer, :pointer, :pointer ].freeze,
    def glReplacementCodeuiTexCoord2fVertex3fSUN(rc, s, t, x, y, z) end => [ :void, :GLuint, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glReplacementCodeuiTexCoord2fVertex3fvSUN(rc, tc, v) end => [ :void, :pointer, :pointer, :pointer ].freeze,
    def glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN(rc, s, t, nx, ny, nz, x, y, z) end => [ :void, :GLuint, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN(rc, tc, n, v) end => [ :void, :pointer, :pointer, :pointer, :pointer ].freeze,
    def glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN(rc, s, t, r, g, b, a, nx, ny, nz, x, y, z) end => [ :void, :GLuint, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat, :GLfloat ].freeze,
    def glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN(rc, tc, c, n, v) end => [ :void, :pointer, :pointer, :pointer, :pointer, :pointer ].freeze,
  }.freeze
end