module WGL_ARB_pbuffer
  module Constants
    DRAW_TO_PBUFFER_ARB    = 0x202D
    MAX_PBUFFER_PIXELS_ARB = 0x202E
    MAX_PBUFFER_WIDTH_ARB  = 0x202F
    MAX_PBUFFER_HEIGHT_ARB = 0x2030
    PBUFFER_LARGEST_ARB    = 0x2033
    PBUFFER_WIDTH_ARB      = 0x2034
    PBUFFER_HEIGHT_ARB     = 0x2035
    PBUFFER_LOST_ARB       = 0x2036
  end
  
  Functions = {
    def wglCreatePbufferARB(hDC, iPixelFormat, iWidth, iHeight, piAttribList) end => [ :HPBUFFERARB, :HDC, :int, :int, :int, :pointer ].freeze,
    def wglGetPbufferDCARB(hPbuffer) end => [ :HDC, :HPBUFFERARB ].freeze,
    def wglReleasePbufferDCARB(hPbuffer, hDC) end => [ :int, :HPBUFFERARB, :HDC ].freeze,
    def wglDestroyPbufferARB(hPbuffer) end => [ :BOOL, :HPBUFFERARB ].freeze,
    def wglQueryPbufferARB(hPbuffer, iAttribute, piValue) end => [ :BOOL, :HPBUFFERARB, :int, :pointer ].freeze,
  }.freeze
end