module WGL_NV_gpu_affinity
  module Constants
    ERROR_INCOMPATIBLE_AFFINITY_MASKS_NV = 0x20D0
    ERROR_MISSING_AFFINITY_MASK_NV       = 0x20D1
  end
  
  Functions = {
    def wglEnumGpusNV(iGpuIndex, phGpu) end => [ :BOOL, :UINT, :pointer ].freeze,
    def wglEnumGpuDevicesNV(hGpu, iDeviceIndex, lpGpuDevice) end => [ :BOOL, :HGPUNV, :UINT, :PGPU_DEVICE ].freeze,
    def wglCreateAffinityDCNV(phGpuList) end => [ :HDC, :pointer ].freeze,
    def wglEnumGpusFromAffinityDCNV(hAffinityDC, iGpuIndex, hGpu) end => [ :BOOL, :HDC, :UINT, :pointer ].freeze,
    def wglDeleteDCNV(hdc) end => [ :BOOL, :HDC ].freeze,
  }.freeze
end