module WGL_NV_swap_group
  Functions = {
    def wglJoinSwapGroupNV(hDC, group) end => [ :BOOL, :HDC, :GLuint ].freeze,
    def wglBindSwapBarrierNV(group, barrier) end => [ :BOOL, :GLuint, :GLuint ].freeze,
    def wglQuerySwapGroupNV(hDC, group, barrier) end => [ :BOOL, :HDC, :pointer, :pointer ].freeze,
    def wglQueryMaxSwapGroupsNV(hDC, maxGroups, maxBarriers) end => [ :BOOL, :HDC, :pointer, :pointer ].freeze,
    def wglQueryFrameCountNV(hDC, count) end => [ :BOOL, :HDC, :pointer ].freeze,
    def wglResetFrameCountNV(hDC) end => [ :BOOL, :HDC ].freeze,
  }.freeze
end